5b645f39 - Torsten Enderling, 2024-03-21 : update user manual

f8f7e693 - Torsten Enderling, 2024-03-21 : fix incorrect format specifier

2cc34e27 - Torsten Enderling, 2024-03-20 : update version/release date information (#145)

f0091517 - Petter Schau     , 2023-11-12 : Re-add part of case statement, floppy config (#143)

4e9706d1 - Torsten Enderling, 2023-11-12 : documentation update

e32bfb2e - Petter Schau     , 2023-11-12 : Actual interlace compensation setting was initialized from possibly replaced
                                          version of config. (#142)

ede1d212 - Torsten Enderling, 2023-11-12 : create missing directories when generating filenames (#140)

355dbb2a - Torsten Enderling, 2023-11-12 : fix initalization of last_used_disk_dir (#136)
                                          fixes #135
e22fdda4 - Petter Schau     , 2023-11-12 : Make sure the graphics driver type used is always in sync with current
                                          configuration (#138)
                                          Make sure the graphics driver type
                                          used is always in sync with current
                                          configuration. Mismatch could happen
                                          in some situations after load from
                                          menu, load from history slot, and
                                          cancel changes after editing display
                                          settings. Also fixed problem where
                                          cancelled diskimage changes were shown
                                          on the main dialog.
7d947ca0 - Petter Schau     , 2023-11-12 : Config dialog no fullscreen modes fix (#137)
                                          * Configuration dialog must handle
                                          situation when host has no (usable)
                                          full screen modes.
f1cf7ebb - Torsten Enderling, 2023-11-10 : bugfix-129

a9936986 - Torsten Enderling, 2023-11-09 : Update Configuration.cpp (#134)

fa7692fb - Torsten Enderling, 2023-11-09 : fix last used config not loading (#133)
                                          fixes #130
381aed0a - Petter Schau     , 2023-11-05 : Use enum class, some constexpr and avoid unnecessary typedefs (#127)

3fae73a7 - Petter Schau     , 2023-11-04 : Enum class (#126)
                                          Use enum class
e3be61d2 - Petter Schau     , 2023-11-04 : File renaming (#125)
                                          Renamed files
41ebf113 - Petter Schau     , 2023-11-04 : A few potential memory leaks found. (#124)

d2e73e5a - Petter Schau     , 2023-11-04 : Move files (#123)
                                          * Moved defs.h and portable.h
                                          
                                          * Removed unused type definitions from
                                          Defs,h
                                          
                                          * Moved IHardfileHandler
                                          
                                          * Save work
                                          
                                          * Move more files out of fellow
                                          directory
                                          
                                          * Bootstrap for debug vm
                                          
                                          * Ignored files
                                          
                                          * Rename directory
867a652a - Petter Schau     , 2023-10-28 : Use std::filesystem to find file properties (#112)
                                          * Use std::filesystem to find file
                                          properties.
368eeff6 - Petter Schau     , 2023-10-28 : Added more fail checks on d3d11 startup when starting emulation session. And
                                          included d3d11 device creation in
                                          initial environment validation. (#118)
                                          Closes #105
0c597fa0 - Torsten Enderling, 2023-10-26 : reformat build script and fix PSScriptAnalyzer warnings (#120)

19101b4a - Torsten Enderling, 2023-10-26 : reformat files according to clang-format definition file (#115)
                                          * format complete project using
                                          clang-format
                                          * documentation updates
                                          * integrated mass-reformat-command
                                          into developer documentation
                                          * remove workaround for DirectDraw
                                          window positions in RetroPlatform mode
51f6f50d - Torsten Enderling, 2023-10-26 : implement fixes for two memory leaks (#117)
                                          * implement fix for two memory leaks;
                                          closes #116
bc944c46 - Torsten Enderling, 2023-10-24 : implement several enhancements (#113)
                                          * change default display driver to
                                          Direct3d (#107)
                                          * implement keyboard-initiated reset
                                          in RetroPlatform mode (#106)
                                          * add .clang-format file to project
                                          (#110)
                                          * add debug logging in DirectDraw
                                          window position calculation code
                                          (#111)
                                          * moved the manual chapter about
                                          contributions to the back so the
                                          release notes are presented in a more
                                          logical chapter order
                                          
                                          ---------
                                           Co-authored-by: Petter Schau
                                          <petschau@gmail.com>
77a289aa - Petter Schau     , 2023-10-22 : Added more error-strings to GfxDrvDXGIErrorLogger and include actual hResult in
                                          log-message.

2bcdad7c - Petter Schau     , 2023-10-17 : Fix printf warnings

3e741b69 - Torsten Enderling, 2023-10-16 : another attempt at copyright character fix (#104)

c3988f31 - Torsten Enderling, 2023-10-16 : fix copyright information in NSIS installer

99c26ce9 - Torsten Enderling, 2023-10-16 : bump version number

7a55eacc - Petter Schau     , 2023-10-15 : Cpp20 upgrade (#103)
                                          Upgrade to c++20, fix c++20
                                          compilation errors related to use of
                                          char vs const char. Changed config
                                          parsing to rely at least partially on
                                          c++ string instead of C char/str
                                          functions.
59051d52 - Petter Schau     , 2023-10-14 : Refactor fswrap and fsnavig (#102)
                                          Refactor fswrap and fsnavig and added
                                          common interface. Most functions were
                                          unused
cd42b4c6 - Petter Schau     , 2023-10-14 : Consolidate logging (#101)
                                          Consolidate logging functions, removed
                                          fellowAddLog() variants
 Move rtc
                                          implementation to core project
a5fc7cda - Petter Schau     , 2023-10-14 : Move log and fileops (#100)
                                          Move Log to core and split Fileops
6ae4fdc0 - Torsten Enderling, 2023-10-13 : reconfigure about dialog homepage link to point to homepage on GitHub

7d343b50 - Petter Schau     , 2023-10-11 : Added classes and driver interface for sound (#97)

b9300bde - Torsten Enderling, 2023-10-03 : several documentation updates

9b9163de - Torsten Enderling, 2023-10-03 : adjust README to reflect source code reorganization

d31ad076 - Torsten Enderling, 2023-10-02 : include ARM64 build in release zip archive (#95)

849c1b5d - Torsten Enderling, 2023-10-02 : fix RetroPlatform mouse capture on older RetroPlatform hosts (#94)
                                          * fix RetroPlatform mouse capture on
                                          older RetroPlatform hosts
                                          * remove XP toolset from BoxStarter
                                          environment
                                          * update user manual
68cf5532 - Petter Schau     , 2023-09-20 : Run static analysis on code (#92)

a0a4fe1c - Petter Schau     , 2023-09-18 : redundant void (#91)

2d2b4c9b - Petter Schau     , 2023-09-18 : native cpp, use nullptr (#90)

1df8fb80 - Petter Schau     , 2023-09-18 : Use #pragma once everywhere and deleted obsolete cvs version header (#89)

f29f1c09 - Petter Schau     , 2023-09-18 : Use cstdint sized types instead of platform dependent typedefs (#88)
                                          * ULO -> uint32_t
                                          
                                          * UBY -> uint8_t
                                          
                                          * BYT -> int8_t
                                          
                                          * UWO -> uint16_t
                                          
                                          * WOR -> int16_t
                                          
                                          * ULL -> uint64_t
                                          
                                          * LON -> int32_t
                                          
                                          * LLO -> int64_t
                                          
                                          * STR -> char
b3df5fe5 - Petter Schau     , 2023-09-16 : Switch to using catch2 framework for hardfile tests (#87)

a2d191be - Torsten Enderling, 2023-09-13 : bump version number

3648c4f7 - Torsten Enderling, 2023-09-13 : documentation updates and more
                                          * documentation updates
                                          * bump version number
                                          * include hugo components in
                                          BoxStarter script

d2cd94f8 - Petter Schau     , 2023-09-12 : Cpu emulation fixes (#85)
                                          * Addressed the following mostly CPU
                                          related issues:
                                          
                                          * Removed address register as byte
                                          source operand in move.
                                          * Various bit-field instruction fixes.
                                          
                                          * Incorrect pack/unpk behaviour.
                                          * Trapcc increase pc after condition
                                          check to get correct exception stack
                                          frame.
                                          * Cas2 select the first compare result
                                          value when both compare registers are
                                          the same register. Set v flag.
                                          * Link/Unlk incorrect result on stack
                                          when link register was a7.
                                          * Split long reads in two word reads
                                          for correct values accross banks that
                                          are not stored consecutively.
                                          * VPOS wraparound fix.
                                          * Exception cycle time changes.
                                          * Fixed various instructions that
                                          overwrote exception cycle times with
                                          regular instruction time. (when
                                          triggering privilege violations etc.)
                                          * Set div cycle times to values closer
                                          to the listed cycle times. Still not
                                          dynamically calculated, but should be
                                          closer.
                                          * Don't trace when instruction was
                                          aborted by illegal, privilege or
                                          address error.
                                          * CHK.w N flag fix.
                                          * EOR ea vs. data register check for
                                          cycle calculation was inverted.
                                          * Changes to cycle calculation for
                                          BSET/BCGH.
                                          * Set undefined div flags according to
                                          behaviour on 68000
                                          * Move to SR, check supervisor level
                                          before evaluating ea
                                          * Include exception time in cycle time
                                          for chk.
                                          * Handle bkpt differenly from illegal
                                          * Broken overflow and other special
                                          cases for mull
                                          * Handle supervisor check differently
                                          for move from sr to avoid returning
                                          result when throwing exception
                                          * Missing address mask in rtarea
                                          memory handling (for when upper
                                          address byte contains data)
                                          * Trapcc had wrong pc in the stack
                                          frame
                                          
                                          * fix minor typo
                                          
                                          ---------
                                           Co-authored-by: Torsten Enderling
                                          <torsten.enderling@gmail.com>
dc59f553 - Petter Schau     , 2023-09-10 : Solution file reorganisation and added arm build (#81)
                                          * Reorganised source directories to
                                          use a solution/project/project files
                                          structure
                                          
                                          * Enable versioninfo on arm build
6ca5d489 - Torsten Enderling, 2023-08-27 : further updates to User Manual

ddd5ab4b - Petter Schau     , 2023-08-27 : Upgrade catch2 and host tests in a separate project. Setup for github action
                                          that runs tests. Initial project for
                                          core. Consolidated differing project
                                          settings in the solution. (#77)

79f26f64 - Torsten Enderling, 2023-08-25 : suppress keyfile related error messages during preset load - fix #67 (#76)
                                          * suppress keyfile related error
                                          messages during preset load - fix #67
                                          * documentation update
e2d96ba6 - Torsten Enderling, 2023-08-25 : fix RetroPlatform mouse capture related issues (#75)
                                          * remove unused variable, correct
                                          logging of function name for
                                          SendActivated
                                          * fix capture of mouse on RP hard
                                          reset
                                          * fix capture of mouse after resize
                                          * update documentation regarding
                                          removal of Windows Vista support
                                          * add performance troubleshooting
                                          section
213443e6 - Torsten Enderling, 2023-08-24 : fix WinFellow not receiving RetroPlatform mouse events (#74)
                                          * update toolset to Visual Studio 2022
                                          (removes Windows XP support)
                                          * retarget solution to Windows 10
                                          * update RetroPlatform IPC headers to
                                          latest version
                                          * fix preexisting heap corruption bug
                                          in RetroPlatform module when getting
                                          host version information
                                          * add common control dependency to
                                          compatibility manifest to fix
                                          RetroPlatform version info display
                                          * update catch2 framework
                                          * update version/copyright information
                                          and documentation
                                          
                                          
                                          
                                          * re-test workflow after target
                                          platform upgrade
9aee06e3 - Petter Schau     , 2022-12-21 : Try out github workflows

8a02c87b - Torsten Enderling, 2022-04-29 : update user manual

63d8213d - Torsten Enderling, 2022-04-29 : reconfigure project for Visual Studio 2022, minor maintenance update (#71)
                                          * update Boxstarter config to VS2022
                                          * use Windows 11 SDK
                                          * implement new win10/11 build numbers
                                          
                                          * adjust generic win10/11 detection
                                          string
                                          * update RetroPlatform include
3c23da79 - Torsten Enderling, 2021-02-24 : remove reboot requirement from Boxstarter script

7abc397e - Torsten Enderling, 2021-02-03 : add BoxStarter script
                                          the script can be used to assist in
                                          dev environment setup on a clean
                                          system

7e18b284 - Torsten Enderling, 2021-02-03 : fix build process in remote desktop sessions
                                          the session specific temp variable
                                          should be used throughout all
                                          components

12962510 - Torsten Enderling, 2019-09-28 : update sysinfo to detect Windows 10 version 1909

0e8e25b3 - Petter Schau     , 2019-08-18 : Try out catch2 for unittesting. (#69)

87381a7a - Petter Schau     , 2019-08-18 : Synchronise build settings across targets. (#68)
                                          * Synchronized build settings for
                                          Debug/Release and platform targets.
                                          Enabled multi-threaded build. Moved
                                          malloc/new debugging declaration to
                                          portable.h. Listtree.c upgraded to
                                          c++.
                                          
                                          * Some more build tweaks.

ed18343f - Torsten Enderling, 2019-07-12 : update release preparation HOWTO

87b39838 - Torsten Enderling, 2019-07-01 : update release notes

4cea3596 - Torsten Enderling, 2019-07-01 : implement menu option to pause emulation when window loses focus (#63)

f917bee8 - Torsten Enderling, 2019-07-01 : implement ability to change floppy read-only state on the fly (#62)

18a53250 - Torsten Enderling, 2019-07-01 : partially restore legacy debugger functionality (#61)

8abed37e - Torsten Enderling, 2019-07-01 : update xDMS to version 1.3.2 (#60)

b1e4db30 - Torsten Enderling, 2019-07-01 : update zlib to version 1.2.11 (#59)

7ebb7367 - Torsten Enderling, 2019-07-01 : bump versoin number to 0.5.9

a395d205 - Petter Schau     , 2019-06-29 : Added a simplistic ALT-TAB detection in the keyboard driver to avoid strange
                                          keyboard problems on the Amiga side.

551edc56 - Torsten Enderling, 2019-06-23 : implement further filesystem device name prefix validation

9cf96a75 - Torsten Enderling, 2019-06-23 : implement limit of the filesystem device name prefix to 16 characters

23b9824e - Torsten Enderling, 2019-06-23 : fix minor typo in release notes

3eabb849 - Torsten Enderling, 2019-06-23 : implement sysinfo logging of 64 bit OS check (#56)

d685bdfd - Petter Schau     , 2019-06-22 : Added prefix edit in UI.

5eeed86a - Petter Schau     , 2019-06-22 : Deleted files accidentally checked into build directories and solution
                                          directory.

7e939f30 - Petter Schau     , 2019-06-22 : Added config entry for filesystem device name prefix and code to use it, default
                                          is currently FS. + Some fixes for
                                          broken tab/formatting in wgui.c

675884e7 - Torsten Enderling, 2019-06-16 : update documentation

536b29b3 - Torsten Enderling, 2019-06-15 : update regression test cases

85629ef2 - Torsten Enderling, 2019-06-15 : increase max number of sprite action list items to 275
                                          fixes a crash to the desktop in the
                                          Animators demo "Tornado of Souls"

bb300cd3 - Torsten Enderling, 2019-06-14 : fix a typo in the release notes

9127c792 - Torsten Enderling, 2019-06-14 : Update issue templates

c1f185bf - Torsten Enderling, 2019-06-14 : Update issue templates
                                          add bug label to bug report template
d2f59bba - Torsten Enderling, 2019-06-14 : Update issue templates (#49)

a165a782 - Torsten Enderling, 2019-06-13 : update user manual

c6d6556f - Torsten Enderling, 2019-06-13 : fix selection of blitter radio buttons when applying new model presets

cdd94201 - Torsten Enderling, 2019-06-12 : improve build script error handling when no VS installation is found (#51)

779c1eec - Torsten Enderling, 2019-06-12 : implement support to create clean debug builds using the release buildscript
                                          (#50)

1192d51f - Torsten Enderling, 2019-06-11 : initialize empty swapchain description
                                          fixes an issue where D3D fullscreen
                                          modes could sometimes not be
                                          initialized

4d2fc4f3 - Torsten Enderling, 2019-06-10 : update regression testing documentation

b91bc69d - Torsten Enderling, 2019-06-10 : adjust positions of LEDs and FPS counter for RetroPlatform clipping

5762a4c9 - Torsten Enderling, 2019-06-10 : fix RetroPlatform clipping offset calculations (#47)

370c0595 - Torsten Enderling, 2019-06-10 : update RetroPlatformIPC.h

df0ef9e9 - Petter Schau     , 2019-06-10 : Avoid trying to open an empty extended rom filename.

334fbdeb - Petter Schau     , 2019-06-09 : Replaced alternating patterns for unmapped memory with proper random numbers.

606e9cc3 - Petter Schau     , 2019-06-09 : Fix signed bug when writing back bltapt from line mode. And more variation in
                                          values returned from unmapped memory.

22696f44 - Petter Schau     , 2019-06-08 : clr reads before write.

6554da61 - Petter Schau     , 2019-06-08 : Missing file.

868a8d60 - Petter Schau     , 2019-06-08 : Better verification of RDB integrity when loading hardfile.

fbd1bab7 - Torsten Enderling, 2019-06-07 : remove previous license text that was replaced with GitHub copy of LICENSE

5126ae59 - Torsten Enderling, 2019-06-07 : create LICENSE
                                          ensure that the GPL license is
                                          displayed correctly on the repository
                                          page
002679d1 - Torsten Enderling, 2019-06-07 : perform NSIS uninstallation silently
                                          wait for the uninstallation to finish 
                                          abort if the uninstallation fails

b9c5e8d1 - Torsten Enderling, 2019-06-07 : update documentation

47642e33 - Torsten Enderling, 2019-06-07 : fix occasional build generation issues due to compiled shader headers (#43)
                                          - remove compiled shader header files
                                          from repository
                                          - header files to .gitignore

18a90ce0 - Petter Schau     , 2019-06-06 : Undo previous test.

4ad4f494 - Petter Schau     , 2019-06-06 : Deleted autogenerated files shader header files to get a clean build.

ce2248df - Petter Schau     , 2019-06-06 : Removed release mode logging of keypresses.

a1188501 - Petter Schau     , 2019-06-06 : Reduce delay for blits in non-blithog mode that have a cycle diagram that leaves
                                          no free cycles.

1b8aa827 - Petter Schau     , 2019-06-06 : Log changes, log a batch of messages without opening and closing the log-file
                                          for each line.

1875b6ad - Torsten Enderling, 2019-06-06 : fix a logging typo

8c2c1f08 - Torsten Enderling, 2019-06-06 : implement sysinfo improvements around CPU detection (#42)

ab125351 - Torsten Enderling, 2019-06-05 : apply compatibility manifest to 64 bit builds

09bd4dd7 - Torsten Enderling, 2019-06-04 : adjust file naming in zipped distribution (#41)

92f1e3b7 - Torsten Enderling, 2019-06-03 : fix installer project URL

a1324c47 - Torsten Enderling, 2019-06-03 : implement 64 bit build generation into release build script and NSIS installer
                                          (#40)

bdceabd5 - Petter Schau     , 2019-06-02 : Tweak irq handling from cia from earlier commit based on info from regressions.

2159f333 - Petter Schau     , 2019-06-02 : Close hardfiles when exiting from an emulation session to avoid locked files
                                          when going into the hardfile config
                                          dialogs.

692c73fa - Torsten Enderling, 2019-06-02 : update user manual and regression test cases

a8178daa - Petter Schau     , 2019-06-01 : Fixed issue causing WB to occasionally freeze. Changes to irq scheduling.

48324fcd - Torsten Enderling, 2019-05-31 : update IPF Access API to latest version (#39)
                                          rename caps_win32 modules to caps, as
                                          they are the same for x64 builds
 
                                          enable IPF support in x64 builds
14051f4f - Torsten Enderling, 2019-05-30 : add PowerShell script to run M68kTester on the available tests; defaults to
                                          68040 CPU

c00d2807 - Torsten Enderling, 2019-05-30 : upgrade M68KTester project to current platform toolset

6fa6f914 - Torsten Enderling, 2019-05-29 : update documentation to reflect the required reboot after creating a new RDB

31fa8fe9 - Torsten Enderling, 2019-05-29 : update documentation regarding RDB hardfile support (#38)

59388838 - Torsten Enderling, 2019-05-27 : fix occasional failures to take unfiltered screenshots with D3D graphics driver
                                          the CPU access flags in the 2D texture
                                          description were not initialized
                                          properly

d728e3c7 - Torsten Enderling, 2019-05-26 : set hardfiles to be writable by default (#36)
                                          ensure that default read-only state
                                          does not overwrite read-only state
                                          from config
56310d58 - Torsten Enderling, 2019-05-26 : use debug as default logging level for debug builds
                                          eliminate merge messages from
                                          auto-generated changelog

f50743ca - Petter Schau     , 2019-05-26 : Fixed issues with using many heads for hardfile geometry and related tracks vs.
                                          cylinders calculations.

5cd72a1f - Torsten Enderling, 2019-05-25 : update sysinfo logging with Windows 10 version detection and product type
                                          logging

3dd9c070 - Petter Schau     , 2019-05-25 : Some max hardfile size checks. Don't create hardfiles larger than 2GB -1 byte.
                                          Also log failure to open hardfile, and
                                          show message in the UI if file fails
                                          to be opened, or stat'ed. (Regular
                                          stat fails if size if 2GB or more). As
                                          long as we use regular 32-bit C IO,
                                          2GB is the limit.

ea2d84f9 - Petter Schau     , 2019-05-25 : Tweaked board and drive description.

137072c2 - Petter Schau     , 2019-05-25 : Add a line in the log when a hardfile is being inserted.

17bdbd72 - Torsten Enderling, 2019-05-25 : implement unified logging via new service logger (#33)
                                          implement requester message when file
                                          information cannot be retrieved
 this
                                          is presented to the user for instance
                                          when a configured hardfile cannot be
                                          found
 cleanup unused logging code
                                          from fellow.c

25e9b5ab - Petter Schau     , 2019-05-25 : Fixed memory leak.
                                          Turned diagnostic log messages into
                                          debug log messages. Don't try to open
                                          hardfiles with empty filename.

001f933a - Petter Schau     , 2019-05-25 : Fixed memory leak.

f2b4aa6a - Petter Schau     , 2019-05-25 : Re-read hardfile config from scratch on reboot to make mountlists reflect any
                                          changes done in the RDB by tools like
                                          HDToolBox.

8fe59999 - Petter Schau     , 2019-05-19 : Added readonly to hardfile edit dialog.

7d2b489d - Petter Schau     , 2019-05-19 : Calculate HighCylinder for old type hardfiles in the UI.

0086b937 - Petter Schau     , 2019-05-19 : Added scsi direct commands needed by HDToolBox. Use scsi unit numbering
                                          internally in fhfile.device.

f3146c07 - Torsten Enderling, 2019-05-19 : minor documentation updates

833e9c2e - Petter Schau     , 2019-05-18 : delete EndHunk when exiting loop, it is never used. Also added missing include
                                          file for standard exceptions what
                                          cause compilation problems sometimes
                                          for incremental build.

63ed5aed - Torsten Enderling, 2019-05-17 : delete unwanted file from repository

49584cd3 - Torsten Enderling, 2019-05-17 : fix files with uppercase extension not showing up in doxygen docs created using
                                          WSL

e3f25502 - Torsten Enderling, 2019-05-17 : update doxygen documentation to use WSL going forward

191d61fe - Torsten Enderling, 2019-05-17 : update Doxyfile to v1.8.15 standards

87fb83cb - Torsten Enderling, 2019-05-17 : include further updates to the developer docs

238d8142 - Torsten Enderling, 2019-05-17 : update developer documentation

44628d9f - Torsten Enderling, 2019-05-17 : implement debug logging for C++ new operator
                                          when using multiple hardfiles, there's
                                          currently memory from the HunkFactory
                                          that is not being freed

ff41c9ae - Petter Schau     , 2019-05-13 : Initial cleanup of readonly handling of hardfiles. Also temporarily disabling
                                          setting from config because of more
                                          work needed in the UI to pass it on
                                          correctly.

03d9c1e1 - Torsten Enderling, 2019-05-13 : revert some changes made earlier to GitWCRev script (#32)

4c4caaee - Torsten Enderling, 2019-05-13 : fix a bug detecting working copy changes in GitWCRev

f45a9d70 - Torsten Enderling, 2019-05-13 : update GitWCRev script to allow compilation from sourcecode downloaded from
                                          GitHub
                                          use dummy build number, branch and
                                          commit ID for generation of version
                                          info when compiled without git working
                                          copy information

c31fc7bf - Torsten Enderling, 2019-05-13 : Revert "use generic Windows 10 SDK path instead of version specific one"
                                          This reverts commit
                                          91e592263055686734f1b89aab5a0835199b00cf.

91e59226 - Torsten Enderling, 2019-05-13 : use generic Windows 10 SDK path instead of version specific one

aba2ec09 - Petter Schau     , 2019-05-12 : Add include <string> to fix build fail that happens sometimes.

746b3c61 - Petter Schau     , 2019-05-12 : Fixed unnecessary iteration in loop. Closes #29

0aa18f18 - Torsten Enderling, 2019-05-12 : implement logging of errors in fsWrapMakePoint

de240c84 - Torsten Enderling, 2019-05-12 : update dev environment setup documentation

57d29f7c - Torsten Enderling, 2019-05-12 : fix crash to desktop when a configured hardfile does not exist

3601844b - Torsten Enderling, 2019-05-12 : update file and product version information
                                          missed some places on the first try

d1165213 - Petter Schau     , 2019-05-12 : Added more switches to xcopy to avoid prompting when overwriting files.

dbc24222 - Torsten Enderling, 2019-05-12 : update .gitignore with WinFellow.hardfile project information

5b76e1f7 - Torsten Enderling, 2019-05-12 : update version information and documentation

1ed54836 - Torsten Enderling, 2019-05-11 : remove February 2010 DirectX SDK dependency

a9ff1f0c - Petter Schau     , 2019-05-11 : Relaxed check on similar hardfiles when installing config as some properties
                                          might be calculated later when rdb is
                                          loaded. It also checks on same
                                          filename so it should be ok.

b3d8dcdc - Torsten Enderling, 2019-05-11 : upgrade project to Visual Studio 2019 (#27)
                                          * update .gitignore
                                          
                                          * update relative path to MSBuild.exe
                                          
                                          * switch SDK to latest installed
                                          Windows 10 SDK
                                          
                                          * update developer documentation
                                          
                                          * add Microsoft docs link about XP
                                          targeting

7429096b - Petter Schau     , 2019-05-11 : Fix VS 2019 problem - Use xcopy to copy testfiles to output dir, as
                                          ContentWithTargetPath in the project
                                          file does not seem to work anymore.

ef3f6536 - Petter Schau     , 2019-05-11 : Source cleanup. Changed GUI dialog for hardfiles.

7722797f - Petter Schau     , 2019-03-10 : Fix wrong selection of render function after return from menu when application
                                          did not write to bplcon0 every frame.
                                          Fixes garbled graphics in a Legend
                                          crackto when returning from menu.

d541dffb - Petter Schau     , 2019-03-09 : Improve delay caused by logging in screen-mode enumeration. (Could amount to
                                          many seconds with multiple screens)
                                          Added a list based log function to
                                          write all lines to the log using the
                                          same open file. +Removed many warnings
                                          from resharper.

7ca64f99 - Petter Schau     , 2019-03-02 : Set wait time after event reset to avoid race condition.

a891d26d - Petter Schau     , 2018-09-09 : Call relocation from fhfile.device filesystem initialization routine.

67c27053 - Petter Schau     , 2018-09-09 : Use hardfile functionality from WinFellow.Hardfile instead of old fhfile.c.
                                          Added project reference to
                                          WinFellow.Hardfile in WinFellow
                                          project. Added necessary code to move
                                          the hardfile functionality. Deleted
                                          fhfile.c

b71ebd5b - Petter Schau     , 2018-09-09 : Added projects WinFellow.Hardfile and WinFellow.Hardfile.tests
                                          Adding RDB support to a clean branch
                                          of master. Step 1.

75d1c88e - Torsten Enderling, 2018-01-14 : update regression testing documentation

d38d2f74 - Petter Schau     , 2018-01-07 : Add simple support for input scripting for automated testing.
                                          Command options:
                                          -autoscript <file>
                                          -autosnap <directory>
                                          -autosnapfrequency <frame-count>
                                          -autorecord

cb26f08d - Torsten Enderling, 2018-01-03 : add GPL license markdown version to root of repository

271648e8 - Torsten Enderling, 2018-01-01 : update shaders

075f0835 - Torsten Enderling, 2018-01-01 : bump version number for installer

7be66c83 - Torsten Enderling, 2018-01-01 : update developer documentation

ef874471 - Torsten Enderling, 2018-01-01 : update build script to use vswhere.exe
                                          documentation update

70135ac0 - Torsten Enderling, 2018-01-01 : implement alternate stat() function and upgrade to VS2017 (#21)
                                          * implement alternate stat() function
                                           workaround to allow for an upgrade of
                                          the project to newer Visual Studio
                                          versions
                                          
                                          * implement legacy OS detection (XP)
                                          
                                          * re-enable compiler check
                                          
                                          * upgrade project files to Visual
                                          Studio 2017

0bc58df3 - Petter Schau     , 2017-12-25 : Make sure DXGI startup log message is always printed.

a8c9909b - Petter Schau     , 2017-12-25 : Added check for adapters to DXGI requirements validation. Changed the
                                          requirements check to run only once.
                                          Moved the check into GfxDrvDXGI as a
                                          static function.
                                          The default host setup in Virtualbox
                                          has DXGI/D3D11 with no adapters,
                                          causing the UI to have this option,
                                          but was silently falling back to
                                          DDraw.

e95b6dfd - Torsten Enderling, 2017-12-24 : revise regression test cases

cca7811c - Torsten Enderling, 2017-12-24 : perform minor documentation updates

46521368 - Torsten Enderling, 2017-12-24 : update version number in doxyfile

2727a905 - Torsten Enderling, 2017-12-24 : update documentation

9e1c141f - Torsten Enderling, 2017-12-24 : add regression test case description for screenshot function/clipping editor

78ff0878 - Torsten Enderling, 2017-12-24 : apply max PAL area instead of output resolution to internal clipping values to
                                          draw module in RetroPlatform headless
                                          mode
                                          this ensures that screenshots can be
                                          captured from the full Amiga host
                                          screen buffer immediately after the
                                          start of the emulation session

06ae5579 - Petter Schau     , 2017-12-23 : Set GDI-compatible flag when calling ResizeBuffers() on the swapchain.

3b6526ac - Torsten Enderling, 2017-12-23 : improve Direct3D screenshot function when using RP scaling factors > 1

3854aa23 - Torsten Enderling, 2017-12-22 : bump version number also in file information

4ee2f16c - Torsten Enderling, 2017-12-22 : update version number to 0.5.7
                                          update documentation

4eec7ab0 - Torsten Enderling, 2017-12-22 : adjust initial RetroPlatform clipping offsets to fix display in region/size auto
                                          mode

fc1c53f0 - Petter Schau     , 2017-12-05 : Upper track limit update.
                                          Fix regression for Outrun (in 0.5.4)
                                          after Git 86bd011.

f5eeb1a1 - Petter Schau     , 2017-12-04 : Fixed signed bug in 64-bit division.
                                          Fixes ADoom.

8b0c112a - Petter Schau     , 2017-12-03 : Re-encode track data to MFM from ADF after floppy-write.
                                          Sector header value "sectors until end
                                          of writing" could get out of sync if
                                          we keep the MFM. Found picky
                                          trackloader that failed.

fbffce7b - Petter Schau     , 2017-12-03 : Minor CPU timing adjustment for btst.

0efcc422 - Petter Schau     , 2017-12-03 : Some cia event counter changes according to docs.

9a9ceb4b - Petter Schau     , 2017-12-03 : Added missing checks for disabled drives.
                                          Fixes Winter Olympics 94.

12570fa3 - Petter Schau     , 2017-11-25 : Corrected DirectDraw pixel flag check. Added more logging to see what's actually
                                          passed in.

5ca391dc - Torsten Enderling, 2017-11-10 : bump version number in manual

a9faa85d - Torsten Enderling, 2017-11-10 : update documentation and bump version number to 0.5.6

6a0dadad - Torsten Enderling, 2017-11-09 : update RetroPlatform modules to latest version provided by Cloanto

8c240b5f - Petter Schau     , 2017-10-07 : Align disk words to sync if sync is found on an odd boundary. (ipf related)

52bbdbe9 - Torsten Enderling, 2017-05-17 : implement support for RetroPlatform 7.1 input device handling (#16)
                                          * begin work on support for
                                          RetroPlatform API 7.1
                                           input device handling will be handled
                                          by the host instead of the
 emulator,
                                          initial checkin of supporting files
                                          
                                          * add conditional define
                                          FELLOW_SUPPORT_RP_API_VERSION_71
                                          
                                          * add logging for incoming events in
                                          debug mode
                                          
                                          * implement breakdown of event message
                                          into single events
                                          
                                          * code cleanup
                                          
                                          * implement extraction of raw keycode
                                          from event string
                                          
                                          * implement forwarding of raw key
                                          events to keyboard module
                                          
                                          * implement first steps to leave
                                          joystick control up to RetroPlatform
                                          host
                                          
                                          * implement logging of joydevice
                                          activity received from host
                                          
                                          * implement support to receive
                                          joystick input from RetroPlatform host
                                          
                                          
                                          * adjust formatting
                                          
                                          * update documentation for version
                                          0.5.5
                                          
                                          * fix reception of guest event
                                          messages in release builds
                                          
                                          * implement correct message text for
                                          key up events
                                          
                                          * implement dynamic calculation of mcs
                                          string buffer size for incoming guest
                                          event handler
                                          
                                          * implement fix for logging of full
                                          incoming message text
                                          
                                          * improve logging when ignoring NULL
                                          event strings
                                          
                                          * implement asynchronous handling of
                                          incoming event message queue
                                          
                                          * disable delay, always abort input
                                          queue when a thread is active
                                          
                                          * adjust delay while pasting clipboard
                                          text from RetroPlatform host
                                          
                                          * update RetroPlatform library
                                          components
                                          
                                          * support typematic rate delay
                                          
                                          * fix activation messages causing
                                          unwanted flashes of the WinFellow
                                          window when clicking the mouse outside
                                          of the window
                                          
                                          * perform minor code cleanup
                                          
                                          * improve (debug) logging
                                           fix missing logging of date when
                                          fellowAddLog2 was being used
                                          
                                          * implement further improvements to
                                          RAW keyboard input debug logging
                                          
                                          * implement further keyboard debug
                                          logging
                                          
                                          * implement key pressure state
                                          tracking for RAW key events
                                          
                                          * update documentation
                                          
                                          * implement minor delay after RAW key
                                          release to improve copy/paste
                                          stability at high typematic rates
                                          
                                          * disable keyboard input delay via RP

0ecf6fb9 - ksherlock        , 2017-05-05 : struct cpuBfData * vs cpuBfData *
                                          cpuBfData * is a c++ idiom
4f92e58c - Torsten Enderling, 2017-03-10 : implement better error handling for build script

474377dd - Torsten Enderling, 2016-05-19 : updated documentation regarding display setting changes

5e6f55bf - Petter Schau     , 2016-04-24 : Use desktop work area as basis for calculating the maximum size for a window.

938860a1 - Petter Schau     , 2016-04-24 : Perform a very simple upgrade when loading an old config file. And "LED"
                                          position fix when internal clip is
                                          larger than output clip.

7beb5252 - Torsten Enderling, 2016-04-23 : eliminate special handling of FPS counter positioning in Amiga Forever mode

d70c1a4e - petschau         , 2016-04-11 : 24-bit sprite-merge on HAM. Add log entry about the buffer draw.c is starting up
                                          with.

777ef610 - petschau         , 2016-04-11 : Added proper sprites on ham merge in 16-bit color and set "bits" in dxgi buffer
                                          info.

64f2fe9c - petschau         , 2016-04-11 : Fix 16-bit color bug. Turn off floppy-log.

657508c9 - Petter Schau     , 2016-04-11 : Removed ancient "clip scroll" in-emulation shortcuts.
                                          It didn't work, and hardly useful
                                          anymore either with screens that has 
                                          space for everything.

8a6497f7 - Petter Schau     , 2016-04-11 : Keep full-screen mode config setting in the GUI while flipping "use fullscreen"
                                          on and off.

47abb12f - Petter Schau     , 2016-04-04 : Regression test doc update

14a720bb - Petter Schau     , 2016-04-04 : Regression test for "sprites on HAM"

168c1302 - Petter Schau     , 2016-04-04 : Updated regression test doc.

ed28efcb - Petter Schau     , 2016-04-04 : Disable RDB detection for now for 0.5.4
                                          Feature not complete.

f99a94e8 - Petter Schau     , 2016-04-04 : To be safe, increase sprite max list items to 100.
                                          This is nearly double the maximum that
                                          has been recorded during test. Closes
                                          #11

1a004c7b - Petter Schau     , 2016-04-03 : Exctract floppy disk names also from main page and include this in the check on
                                          config changed.
                                          Fixes #13

12c43b66 - Petter Schau     , 2016-04-03 : Decide scale from desktop-size when display scale is automatic and not
                                          full-sceen mode.
                                          Select the largest scale that fits on
                                          the desktop.

5eca18fa - Petter Schau     , 2016-04-03 : Separate expressions for all blit minterms.
                                          All expressions have been
                                          automatically verified against general 
                                          algorithm.

9850b4dc - Petter Schau     , 2016-04-03 : Use timer to delay flip.
                                          Got rid of the delay loop, using timer
                                          to wait. Some cleanup in timer class:
                                          Got rid of obsolete 50hz option
                                          without sound, there is no support for
                                          this elsewhere. Generalized interface,
                                          modules can register callbacks in the
                                          timer.

914e7282 - Petter Schau     , 2016-04-02 : Documented Amegas and Games, summer edition in regression testing document.

86bd011b - Petter Schau     , 2016-04-02 : Two disk related fixes.
                                          Amegas one-file packed game, failed to
                                          set disk motor and hung. According to
                                          HRM motor bit must be set up in
                                          advance by software. This is now
                                          checked.

                                          The games, summer edition, added step
                                          limit to avoid going beyond end of 
                                          disk image.

753f3304 - Petter Schau     , 2016-04-01 : Evolved UI some more. Removed window width/height edit-boxes. Using only
                                          overscan+ scale.

e0a9a455 - Petter Schau     , 2016-03-28 : Sprites, move DMA action list flush to end of frame.
                                          Sprite logic needs these actions to
                                          build up until DMA is turned on.

8eeb6cb8 - Petter Schau     , 2016-03-28 : Fix af startup problem. Set current clip also in config.

a6b3ac4b - Petter Schau     , 2016-03-28 : Removed +1 offset introduced earlier. Removed some code not needed anymore.
                                          +1 offset came from rounding of shres
                                          coordinate to lores coordinate. Need
                                          to find another solution.

fa242856 - Petter Schau     , 2016-03-28 : Simplified rectangle calculations.

a3ab8d8a - Petter Schau     , 2016-03-28 : Mostly refactoring and initial UI.

c76b9501 - Petter Schau     , 2016-03-21 : Flush sprite action and dma lists every EndOfLine.
                                          Avoids accumulation when sprite
                                          display is off and lists are not 
                                          processed.  (Like when State of the
                                          art crashes on ocs-config.)

bbbb78ce - Petter Schau     , 2016-03-17 : Reduced SPRITE_MAX_LIST_ITEMS to 50. Added debug code to warn.
                                          Should be enough, previous value was
                                          5000 and after my previous fix, the 
                                          emulator needed 320MB extra memory.

3fe8f6cd - Petter Schau     , 2016-03-17 : Fix for sprites on HAM mode.

cc727b75 - Torsten Enderling, 2016-03-17 : update README

f9798daf - Petter Schau     , 2016-03-15 : Added debug logging of the entire RDB block.

137cec3d - Petter Schau     , 2016-03-15 : Add rdb flag.

4c514ae1 - Petter Schau     , 2016-03-15 : Read hd-config from RDB.

70aa3762 - Petter Schau     , 2016-03-13 : Additional dxgi to directdraw fallback added.
                                          Found Vista VM that had d3d11.dll but
                                          reported no adapters on actual 
                                          startup.

85d5ca36 - Petter Schau     , 2016-03-13 : Removed code that sets fixed clip from the ui for now.

4a1ad4d6 - Petter Schau     , 2016-03-13 : Cleanup of ham sprite drawing in 32-bit color. Fix wrong offsets.

c44dcd54 - Petter Schau     , 2016-03-13 : Switched to using a point sampler for magnification.

51b9536b - Torsten Enderling, 2016-03-13 : only acquire/unacquire analog joysticks when an analog joystick is actually
                                          attached to a gameport

0aa9f6ac - Petter Schau     , 2016-03-13 : Declare timer variable as volatile to prevent optimisation.

904068ef - Petter Schau     , 2016-03-13 : Restrict serial file output to debug mode.

cae590c4 - Petter Schau     , 2016-03-13 : First try at improving or evening out the pace of frame present.

7106f6b5 - Petter Schau     , 2016-03-12 : Calculate sound buffer length in float to avoid excessive rounding errors. Also
                                          fix (rare) lost samples bug.

01f3f8db - Petter Schau     , 2016-03-12 : Set volume also in sound.c when RP changes it.
                                          Volume was lost if RP reinitialised
                                          the emulator, like when changing 
                                          display scale. Fixes #12

6a3d652b - Petter Schau     , 2016-03-12 : Source and destination window fixes for RP and D3D11.

fbaf1273 - Petter Schau     , 2016-03-12 : Minor change to calculating source buffer view in ddraw for RP.
                                          Downscale width and height to 1x for
                                          the source buffer.

7ee17a0f - Petter Schau     , 2016-03-03 : Some minor clip changes to get output in 1x AF.

ca001d97 - Petter Schau     , 2016-03-03 : Close window button did not work.
                                          Allow SC_CLOSE to be handled by
                                          DefWindowProc() in stand-alone mode. 
                                          Fixes #9

4415a2e2 - Petter Schau     , 2016-03-03 : Fix d3d11 crash when width or height becomes 0.
                                          For practical reasons, just setting
                                          the width or height to 1 in this 
                                          situation.

fe58f87d - Torsten Enderling, 2016-03-02 : replace generated shader header files with the ones generated by VS2013

753c79ce - Torsten Enderling, 2016-03-02 : fix post-merge compilation error

4560ac0c - Petter Schau     , 2016-02-28 : Added all clip config settings. +ini file, change window pos to signed.
                                          Clip mode "fixed" keeps the current
                                          values set in code. For now the GUI 
                                          will use fixed clip and set the clip
                                          to max PAL values in automatic scale
                                          mode. Must find out how to present
                                          this in a UI. Also a problem with the
                                          window starting outside the desktop
                                          might be fixed by using signed
                                          coordinates in the ini-file.

a1b9f8aa - Petter Schau     , 2016-02-28 : Added resize for ddraw.

e4c7e3f5 - Petter Schau     , 2016-02-28 : Add support for window resize in automatic scale mode. d3d11 only for now.

68548432 - Petter Schau     , 2016-02-28 : Clear buffer before use in d3d11, avoids dead lines in scanline mode.

83397ea9 - Petter Schau     , 2016-02-28 : Also clear unrendered area/borders in fullscreen ddraw mode.

8f5eeaa2 - Petter Schau     , 2016-02-28 : Clear white window contents that appear with ddraw in undrawn areas.
                                          + moved
                                          gfxDrvDDrawCalculateDestinationRectangle()
                                          into a separate functions for reuse.

17555836 - Petter Schau     , 2016-02-28 : Implemented the automatic scale selection. Best fit mode for any output size.

560fbffd - Petter Schau     , 2016-02-28 : Some logging fixes.

d029864a - Petter Schau     , 2016-02-28 : Fix problem where fullscreen buffer would be lost forever on alt-tab.
                                          Related to using blitter always in
                                          fullscreen. Also did some simple c++
                                          replacements. (nullptr, join variable 
                                          declaration and assignment)

9ee8ca58 - Petter Schau     , 2016-02-28 : dx11: Row pitch was not updated from map call result, to fix grarbled output for
                                          resolutions like 752x etc.

d60da20b - petschau         , 2016-02-25 : Some more ddraw clip and buffer size tweaks.
                                          TODO: Seems like the entire window
                                          area needs to be redrawn if clip is 
                                          smaller than window.

5d97aea6 - petschau         , 2016-02-25 : Initialise clip before post emulation start in dxgi.
                                          Also not using dxgi as default value
                                          in the code to match what config will
                                          set as default (ddraw). Using nullptr
                                          all over in the dxgi file.

92cbdabb - petschau         , 2016-02-22 : More tweaks to initialisation order. (Save work)
                                          Breaks dxgi, fixes ddraw.

0a1b3dbf - petschau         , 2016-02-22 : Memory corruption issue, linedesc arrays indexed with buffer -1.

922dd25c - petschau         , 2016-02-22 : HUD must use buffer width for positioning, not host window/screen width.

57a533eb - Petter Schau     , 2016-02-19 : Added shader header files to avoid regeneration and git changed file detection.

81614c60 - Torsten Enderling, 2016-02-18 : fix compiler warning C4530 in fellow.c

7d9136b0 - Petter Schau     , 2016-02-17 : Some cleanup, removed non-existing functions from header files.

4e67c96b - Torsten Enderling, 2016-02-17 : fix compilation with free editions of Visual Studio

f25629cf - Petter Schau     , 2016-02-17 : Some cleanup in uart.cpp/.h

b14a5671 - Petter Schau     , 2016-02-17 : Added simple uart emulation to capture the serial port log from the aros rom.
                                          Writes to a file. No input.

808d4f0a - Petter Schau     , 2016-02-17 : Set max pal to 314 to allow the extra AF line.

c118159f - Petter Schau     , 2016-02-17 : Moved graphEmulationStart() call after drawEmulationStart().
                                          Old bug. Draw function ptr set by
                                          drawEmulationStart() used to 
                                          initialise data in
                                          graphEmulationStart(). Avoids
                                          dependency on the wrong default "draw"
                                          function when the user changed display
                                          scale. Could crash the emulator by
                                          drawing beyond the end of the frame
                                          buffer.

a2c8c1a2 - Petter Schau     , 2016-02-17 : Set drop list size for scale combo. Removed some unused variables in graph.c and
                                          obsolete asm comments.

e327e750 - petschau         , 2016-02-15 : Save work with adding DISPLAYSCALE options for 3X,4X and AUTO.
                                          Not finished. Needed a commit point.
                                          Auto is unimplemented. Clip 
                                          calculations not perfect, yet.
                                          Refactored draw_mode struct, moved 
                                          run-time information to struct
                                          draw_buffer_information, which
                                          describes the Amiga side buffer, and
                                          is determined on emulation start.

e5b6243e - Petter Schau     , 2016-02-11 : Renaming and cleanup regarding clip.

93116c0c - petschau         , 2016-02-10 : Prepared getter and setter functions to configure clip area.

bd485c60 - petschau         , 2016-02-10 : Resize swap chain buffers in response to WM_SIZE.

cec77355 - petschau         , 2016-02-10 : Added shader source files to the build. Removed dependency on d3dcompiler.lib
                                          Copied DirectXMath.h to a place below
                                          libs for now. Alternative is to build
                                          with an old DX SDK and use xnamath.h

d589f42f - Torsten Enderling, 2016-02-09 : implement build error detection in automated build script
                                          when the msbuild process fails, the
                                          logfile that is written to %TEMP% is 
                                          opened automatically

aa893c21 - Petter Schau     , 2016-02-09 : Testing changes suggested by resharper for C++ on a file.

8e6abe1f - Petter Schau     , 2016-02-09 : Simplify functions to access clip properties. Just return the values, not the
                                          struct.

1855c327 - Petter Schau     , 2016-02-08 : Simple aspect ratio correction,

cf609afa - petschau         , 2016-02-08 : Improve source buffer clip selection.

feee1ce6 - Petter Schau     , 2016-02-03 : Save work on experimental render step to control scale and aspect ratio.
                                          Needs more work. Note, temporarily
                                          upgraded to latest toolset to access 
                                          some functions.

4a73827d - petschau         , 2016-02-01 : SBCD tweak, both results and flags should work well now..

1098eddd - Torsten Enderling, 2016-02-01 : fix CPU model being reset during M68kTester test execution

a1fedfd6 - Torsten Enderling, 2016-02-01 : make m68ktester pass CPU model into CPU emulation core

12163039 - Torsten Enderling, 2016-02-01 : delete obsolete M68ktester.opensdf

929793b4 - Torsten Enderling, 2016-02-01 : remove duplicate .opensdf ignores

8d5a5e81 - Torsten Enderling, 2016-02-01 : ignore all .opensdf files

0e7e70d0 - Torsten Enderling, 2016-02-01 : m68ktester - remove unused pregenerated files

b0e9647f - petschau         , 2016-01-31 : Fix edge cases for SBCD (and NBCD). Tests pass in M68k test suite now.

f3432fd9 - petschau         , 2016-01-31 : Cleaned up M68KTester and building the CPU core from the main emulator source
                                          files
                                          Removed fellow.h use in cpu-module,
                                          was not needed. Added 
                                          CpuModule_Memory.h header file to
                                          redirect memory implementations in one 
                                          place. Minor, don't generate fileops.h
                                          reference for cpu-profile if it is not
                                          being used.

68eaee55 - petschau         , 2016-01-31 : Fix N flag of ABCD after testing on real A600.

fcd57c5f - Petter Schau     , 2016-01-31 : Added fix for abcd instruction bugs.

5641bd08 - Petter Schau     , 2016-01-31 : Fixed bugs with abcd instruction.

08944ff5 - Torsten Enderling, 2016-01-30 : update README.md, CONTRIBUTING.md
                                          move description of source code
                                          archive to README.md; add contribution 
                                          information to CONTRIBUTING.md

127985db - Torsten Enderling, 2016-01-28 : create Scripts directory
                                          move runtests.bat to scripts directory 
                                          add generateTestReportCSV.ps1 which
                                          can create a CSV summary of all test 
                                          results

906587b2 - Torsten Enderling, 2016-01-28 : delete user settings from M68kTester project, ignore them in the future

ddb68ee2 - Torsten Enderling, 2016-01-28 : downgrade M68KTester to VS2013, add ignore settings for binaries

09cbc3ee - Petter Schau     , 2016-01-27 : Linker options for win32. Added test batch file. Some stdout fixes.

fd570c6a - petschau         , 2016-01-27 : Adapted M68k emulator testsuite to work with the Fellow CPU core.
                                          Initial adaptation to see if the test
                                          suite could test the Fellow CPU core,
                                          and it can!  Need to run more
                                          test-files to see what the test suite
                                          actually finds. Cleanup remains, for
                                          starters the CPU files should not be
                                          duplicated.

61b2de9e - petschau         , 2016-01-25 : Bitfield instruction bug. Could lose bits in field. (Spacebattle MPEG animation
                                          by Triumph, Xing play)

9f3e1e60 - petschau         , 2016-01-25 : Startup, stop and switch to and from via ALT-TAB works, including DInput device
                                          focus. (On first adapter, first
                                          screen)
                                          Todo: Proper scaling and clippping.
                                          Mode selection, there are lots of 
                                          duplicates.

74e1c670 - Torsten Enderling, 2016-01-22 : update documentation

9bddba21 - Petter Schau     , 2016-01-18 : Fix minor mismatch when building with cpu profiling.

3f460a0c - Torsten Enderling, 2016-01-18 : configure RP joykey layouts via new function

3a5d92d3 - Torsten Enderling, 2016-01-18 : convert callback hooks into class member functions

820014dd - Petter Schau     , 2016-01-17 : Refactor code so that div by zero exception does not need setjmp.

82a185f3 - Petter Schau     , 2016-01-17 : Added missing instruction timing for TAS. Fix wrong timing for PEA.

0279c145 - Torsten Enderling, 2016-01-17 : fix RetroPlatform multi-threaded logging conflicts

4a76ecf5 - Torsten Enderling, 2016-01-17 : fix wrapping of log messages
                                          fix several instances where log
                                          messages were being wrapped in 
                                          unexpected places because of
                                          multi-threaded calls to the logging 
                                          function

d9721e87 - Torsten Enderling, 2016-01-17 : rename Config to pConfig

b02973b7 - Torsten Enderling, 2016-01-17 : code cleanup
                                          removed several unused functions

6db2252c - Torsten Enderling, 2016-01-17 : port RetroPlatform module to C++

302e7eeb - carfesh          , 2016-01-16 : make $WCREV$ match number of commits in branch

e09ad4b7 - Petter Schau     , 2016-01-16 : Changes to reload/start logic on write to timer hi register.

dcfef82a - carfesh          , 2016-01-16 : remove AnkhSVN configuration from project solution

e5c9dd2b - carfesh          , 2016-01-14 : bugfix for screenshots in Direct3D11 mode when graphics driver and/or graphics
                                          card don't support
                                          MapOnDefaultTextures

be2e88ea - carfesh          , 2016-01-14 : improve logging in case of failure to capture screenshot via D3D

33fcb373 - Petter Schau     , 2016-01-13 : Changed email-address. Some minor edits.

2ae327d9 - Torsten Enderling, 2016-01-13 : extend width of author column in ChangeLog, minor doc. updates

dd6cdb25 - carfesh          , 2016-01-12 : further URL clarifications in user manual

3d613948 - carfesh          , 2016-01-12 : change URL mentioned in manual, update README

19b5e75e - Torsten Enderling, 2016-01-12 : GitHub URL update

515f6f62 - petschau         , 2016-01-10 : Try again with new branch, first one somehow got based on an old version that
                                          made merge hopeless.

37a66493 - carfesh          , 2016-01-10 : disable hyphenation

93c72754 - carfesh          , 2016-01-10 : further refinement of user manual

0b678783 - carfesh          , 2016-01-10 : modify CRT Link-Time Tables only for debug builds

0bf2286c - carfesh          , 2016-01-10 : ensure winDrvDetectMemoryLeaks() is called after WinMain

1424af33 - carfesh          , 2016-01-09 : updates to quickstart guide

ff471a34 - carfesh          , 2016-01-09 : bugfix: fix some memory leaks

de6c25b2 - carfesh          , 2016-01-09 : updates to quickstart guide

2c189a54 - carfesh          , 2016-01-09 : allow ROM images with .bin extension (AROS)

57945c56 - carfesh          , 2016-01-09 : bugfix: applying a model preset did not clear the extended ROM configuration

8d713737 - carfesh          , 2016-01-08 : first draft of quickstart guide added

80956463 - carfesh          , 2016-01-08 : moved contributions chapter to make it better fit onto one page

2f448877 - carfesh          , 2016-01-08 : chapter about contributing to WinFellow, AROS, ...

33300ac5 - carfesh          , 2016-01-08 : include TransDisk and TransROM in builds

6e9baaca - carfesh          , 2016-01-08 : release build script made more error-resilient

8eba5213 - carfesh          , 2016-01-08 : restructured tools and documentation
                                          rename user guide to user manual move
                                          TransDisk and TransROM to
                                          Utilities\Amiga documentation update

390a084e - carfesh          , 2016-01-08 : fix versioninfo generation/compilation on branches

01f64ccf - carfesh          , 2016-01-07 : build script fixes
                                          fix execution using PowerShell 2;
                                          abort script execution in case of 
                                          errors

ec7ee42b - carfesh          , 2016-01-06 : documentation updated
                                          documentation updated to reflect home
                                          on GitHub thanks to Kelvin Sherlock
                                          for providing various bufixes related
                                          to CPU emulation

8b0c63b9 - carfesh          , 2016-01-06 : fixup version information for master branch

6e39c2f6 - petschau         , 2016-01-06 : Fix off by one pixel bug and added missing include file into project.

90f78d20 - petschau         , 2016-01-04 : Dynamically select copper and sprite code based on emulation mode. Changed
                                          allocation of internal framebuffer in
                                          BitplaneDraw-

7b1009c2 - carfesh          , 2016-01-04 : detection of unpushed changes now takes active branch into account

a9063efb - carfesh          , 2016-01-04 : include full product version string in build archives

af5699df - carfesh          , 2016-01-04 : support Git branch-specific version information
                                          added GitWCRev.ps1 support for short
                                          commit / branch information add Git
                                          short commit to version information,
                                          as well as branch (if not master) 
                                          dropped "alpha" from WinFellow build
                                          version / archive names

493aaf87 - carfesh          , 2016-01-04 : project documentation update
                                          added logo, team information updated

dc065234 - carfesh          , 2016-01-04 : adjust author column width in ChangeLog

2fa9a7ef - carfesh          , 2016-01-04 : refactor RetroPlatform screenmode registration to utilize gfxdrv routing layer
                                          project documentation update

2792886c - carfesh          , 2016-01-04 : updated contact details in README.md

2ca79838 - carfesh          , 2016-01-04 : remove broken TOC from README.md

87c4055a - carfesh          , 2016-01-04 : add MarkDown README to repository

7109dab0 - petschau         , 2016-01-04 : Initial split of sprites and copper. Merge with config option.

6b596cbd - Petter Schau     , 2016-01-03 : Revert "This commit was manufactured by cvs2svn to create branch 'assembly_ba…"

b9a365f6 - carfesh          , 2016-01-03 : update repository to support Git
                                          PowerShell-based build scripts
                                          .gitignore

fb4a1e4b - carfesh          , 2015-12-30 : allow selection of graphics emulation core via configuration file
                                          (gfx_emulation_mode=cycleexact|lineexact)

e178f15a - carfesh          , 2015-12-30 : use FAILED/SUCCEEDED macros when checking results of D3D11 API calls minor error
                                          handling changes/NULL pointer checks

fe0249ae - carfesh          , 2015-12-30 : DXGI: ensure released COM objects are no longer being referenced backBuffer was
                                          being released too early during
                                          texture flip documentation updated

2542ed24 - carfesh          , 2015-12-28 : fix some memory leaks in floppy image extraction code additional option to call
                                          fellowAddLogRequester without a
                                          category icon

601845de - carfesh          , 2015-12-25 : improved error handling wguiRequester now provides a type (info/error/warning)
                                          fellowAddLogRequester should normally
                                          by called instead of wguiRequester, to
                                          ensure error messages are also logged
                                          to the logfile

3856a365 - carfesh          , 2015-12-24 : DMS extraction error logging fixes return code had inconsistent type, modifying
                                          the return code fixed multi-line error
                                          messages

40d6079e - carfesh          , 2015-12-24 : improved error logging for DMS file format log a detailed error message when a
                                          DMS floppy image cannot be extracted
                                          log if a DMS file ended prematurely
                                          (example: IT-WalkmanMuzak.dms)

d247a939 - Petter Schau     , 2015-12-22 : Added missing new file.

0eb4e5a7 - carfesh          , 2015-12-22 : dropped requirement for Direct3D feature level 11.0 documentation updated
                                          accordingly

832b680b - Petter Schau     , 2015-12-21 : Added enumeration logging of available graphcs modes for an adapter and it's
                                          screens.

47043e61 - Petter Schau     , 2015-12-21 : De-interlace: Output is messed up, this was an old bug that was rarely seen
                                          because it could only happen with
                                          ddraw when you had multiple buffers,
                                          which is only possible with
                                          full-screen.
                                          De-interlacing only works with one
                                          (Amiga screen) buffer because of the
                                          way it is written to do partial
                                          updates to the frame.

                                          Reduced number of staging Amiga screen
                                          textures to 1 in DirectX 11
                                          (swap-chain still double-buffered). 
                                          Force 1 buffer with ddraw if
                                          de-interlacing is enabled. (Does not
                                          affect windowed sessions).

2785e468 - Petter Schau     , 2015-12-21 : Added release of pSurface1 in SaveScreenshot().

f4d2c355 - Petter Schau     , 2015-12-21 : Removed double-release of IDXGIAdapter during adapter enumeration. Also added
                                          some extra failure checks and release
                                          calls of already allocated objects
                                          before returning failure when creating
                                          objects.

e2dd134a - carfesh          , 2015-12-21 : prevent activation of Direct3D when display driver restart has failed

9957a4b3 - carfesh          , 2015-12-21 : various fixes and code cleanup require feature level 11.0 detect failure if no
                                          D3D adapters were found (Hyper-V) add
                                          DirectDraw to dropdown list always
                                          update to documentation (system
                                          requirements, etc.)

d9b8d7da - carfesh          , 2015-12-20 : remove redudant Release() of backBuffer during texture flip

1fac15fe - carfesh          , 2015-12-20 : screenshot code in standalone execution mode can now produce filtered, as well
                                          as unfiltered screenshots

e04d1857 - carfesh          , 2015-12-20 : internal screenshot function now supports multiple screenshots to be saved per
                                          second add verbose reporting of D3D
                                          live objects to debug builds

d78cec43 - carfesh          , 2015-12-19 : minor fix to keyboard handler

21e1fa13 - carfesh          , 2015-12-19 : screenshots can now be triggered in WinFellow by hitting printscreen screenshot
                                          code refined

02fc7630 - carfesh          , 2015-12-19 : refine Direct3D requirements check move D3D requirement validation into new
                                          function
                                          gfxDrvDXGIValidateRequirements()
                                          disable graphics API dropdown list
                                          when requirements are not met remove
                                          broken debug code

ef67bcfd - carfesh          , 2015-12-19 : implement dynamic loading of Direct3D requirements fallback to DirectDraw for
                                          systems without Direct3D 11 (Windows
                                          XP)

58363d74 - carfesh          , 2015-12-19 : support for screenshots in Direct3D mode (RetroPlatform)

ab878e69 - carfesh          , 2015-12-17 : change gfx driver name from directx11 to direct3d11 RetroPlatform - enable
                                          scanlines and screenshots in D3D
                                          graphics mode

e7e04c9c - carfesh          , 2015-12-17 : implement clipping in RetroPlatform mode using Direct3D graphics API

d05b7e8a - carfesh          , 2015-12-14 : enable 4x scaling in RetroPlatform mode

e635a8f7 - carfesh          , 2015-12-13 : minor fix to log message regarding display scale factor

8482619d - carfesh          , 2015-12-13 : RetroPlatform 2x and 3x D3D mode switch enabled

537c0010 - carfesh          , 2015-12-13 : RetroPlatform D3D mode registration modify features available in debug builds
                                          with D3D enabled

c9486949 - carfesh          , 2015-12-13 : changes to RetroPlatform graphics code fix FPS position in clipped RetroPlatform
                                          DirectDraw modes (adjust for display
                                          scale) limit 2x and 3x, screenshots
                                          and scanlines to DirectDraw mode until
                                          they are implemented/tested with
                                          Direct3D

aaa3a87d - carfesh          , 2015-12-12 : bump version to 0.5.4 disable 4x mode in release builds, as Amiga Forever does
                                          not enable it so it cannot be tested
                                          revert minor unnecessary code change
                                          to gfxDrvDDrawSurfaceBlit
                                          documentation update

24544103 - carfesh          , 2015-12-11 : increase secondary offscreen surface/adjust window clientrect dimensions in
                                          RetroPlatform mode to accomodate
                                          larger scaling factors

27d60fc4 - carfesh          , 2015-12-09 : changed RetroPlatform scaling code to support numeric scaling factors implement
                                          support for 3x and 4x display mode
                                          when used from Amiga Forever
                                          screenshot function adapted to support
                                          numeric scaling factor calculations
                                          (RetroPlatform) change to GUI resource
                                          definition to lower installation
                                          requirements for build environment

3e29f547 - Petter Schau     , 2015-12-01 : Try again using local copy of ddraw.lib. Also removed CAPS from x64 linker
                                          settings.

7b201255 - Petter Schau     , 2015-12-01 : Add file.

5895b45c - Petter Schau     , 2015-12-01 : Add file.

c2f5a97d - Petter Schau     , 2015-12-01 : Rollback, needs Feb 2010 sdk to build with xp support.

12bb5b77 - Petter Schau     , 2015-12-01 : Deleted props file.

14ed2153 - Petter Schau     , 2015-12-01 : Removed old dx sdk from property sheets because ddraw.lib is included in the
                                          windows kits. And fixed a small
                                          sprintf error.

e70c7131 - carfesh          , 2015-12-01 : since stat() bug persists in Visual Studio 2015 Update 1, configure project for
                                          VS2013 updated release build profile
                                          with latest changes to include and
                                          linker definition

f567b8e3 - carfesh          , 2015-12-01 : minor change to fix crash when executed from Amiga Forever in DX11 graphics
                                          mode; modes are not being registered
                                          properly yet revert project to Visual
                                          Studio 2013

5fbb01de - carfesh          , 2015-12-01 : developer documentation updated

0037501d - Petter Schau     , 2015-11-29 : Added missing file and allow fallback to feature levels less than DX 11.0, down
                                          to 9.1. Still requires DX 11 to be
                                          installed. Will allow older cards that
                                          don't support DX 11 features to work
                                          using the DX 11 API.

a42cfcd7 - Petter Schau     , 2015-11-29 : Removed some conditional defines that were either obsolete or had no active
                                          references in the code.

9a89ee1e - Petter Schau     , 2015-11-29 : Reorganised gfxdrv.c to support alternatives to directdraw. Now there is a
                                          routing layer (gfxdrv), common
                                          functionality (GfxDrvCommon) and
                                          directdraw (gfxdrv_directdraw).
                                          Initial DirectX 11 support. Only
                                          window by now. Added ui-option and cfg
                                          file entry.

97a1f2d9 - carfesh          , 2015-11-22 : re-enable pre-build steps in release build

c5d9060e - carfesh          , 2015-11-22 : revert project back to Visual Studio 2013 to work around compiler bug in Visual
                                          Studio 2015 XP platform toolset see
                                          https://connect.microsoft.com/VisualStudio/feedback/details/1600505/stat-not-working-on-windows-xp-using-v14-xp-platform-toolset-vs2015

93be3540 - carfesh          , 2015-11-04 : documentation updated

55a60d81 - carfesh          , 2015-11-04 : implement high DPI support for Amiga Forever 2016 bump version to 0.5.3
                                          documentation update

413a92da - carfesh          , 2015-07-30 : implement Windows 10 OS detection (system information shown in logfile)

bd99043f - carfesh          , 2015-07-26 : update documentation regarding Visual Studio 2015

3135d8a4 - carfesh          , 2015-07-26 : update project files to Visual Studio 2015

52baf31a - Petter Schau     , 2015-01-11 : Fix incorrect instruction length returned for long branches in the disassembler.
                                          (Bug #53, from Kelvin Sherlock)

7434f1bb - carfesh          , 2014-05-02 : fix broken about dialog minor documentation update

aba4dfa1 - Petter Schau     , 2014-03-08 : Mark the application as DPI aware.

25e3706e - carfesh          , 2014-03-03 : rewrote screenshot code to use StretchBlt() on secondary surface to capture both
                                          the full area, as well as the window
                                          area

57f61590 - carfesh          , 2014-02-14 : updated the project to compile using Visual Studio 2013

f52be00e - carfesh          , 2013-12-08 : removed special handling for RetroPlatform width in hires/super-hires - it is
                                          now always super-hires from this
                                          version onwards, Amiga Forever
                                          WinFellow plug-in shared.ini needs to
                                          have a width value of 1504

f6dd5c39 - carfesh          , 2013-12-05 : support for scanlines in Amiga Forever fix for toggling from 2x to 1x in
                                          automatic clipping mode

abe2881f - carfesh          , 2013-12-05 : removed workaround that adapts super-hires values upon initializing
                                          RetroPlatform graphics, as it is
                                          unneeded/causes issues today

b1a02259 - carfesh          , 2013-12-04 : fixed an intermittent failure to obtain a screenshot depending on the return
                                          value of GDI function GetDC

84f5a14c - carfesh          , 2013-12-02 : Cloanto header update documentation update

4bb40bd5 - carfesh          , 2013-12-02 : rewrote 2x scaling in Amiga Forever mode to scale via DirectX instead of draw
                                          module implemented screenshot/live
                                          preview function for Amiga Forever
                                          code cleanup/refactoring after 2x mode
                                          change

45cfeb2d - carfesh          , 2013-11-16 : support for encrypted extended ROM images

67a11463 - carfesh          , 2013-11-16 : extended ROM basebank is now being calculated fixed crash when loading 256kB
                                          extended ROM

ed14b197 - carfesh          , 2013-11-16 : corrected a typo in the manual

89970cd3 - carfesh          , 2013-11-16 : implemented extended ROM support

49fd428b - carfesh          , 2013-11-03 : implemented keyboard-initiated reset fix for RetroPlatform escape key
                                          notification issue on first start fill
                                          byte for ROM area with bootstrap ROM
                                          changed to 0xff

fde550cb - carfesh          , 2013-11-02 : bugfix: after starting from the A1000 bootstrap ROM, changing to another ROM was
                                          not possible a soft reset will now
                                          re-map the bootstrap and make the WCS
                                          writable

57ae83a4 - carfesh          , 2013-10-27 : bugfix for writable control store - write functions now properly used and write
                                          protection enabled when done

089b413e - carfesh          , 2013-10-27 : fix for CRC detection without AF encryption restored Kickstart write functions
                                          for WCS

51101675 - carfesh          , 2013-10-27 : support for Amiga 1000 bootstrap ROM and writable control store implemented

5f62b86e - carfesh          , 2013-10-25 : fix for FPS counter to be properly placed within a clipped RetroPlatform session
                                          (32 bit only for now) fix for compiler
                                          warning in RetroPlatform code
                                          documentation update regarding recent
                                          CPU code fixes

2e314fe9 - carfesh          , 2013-10-24 : made RetroPlatformGetMode inline, hopefully speeding up the frequent queries to
                                          it (end of frame handler) fixed
                                          compiler warnings in floppy formatting
                                          code fixed a crash to the desktop when
                                          creating a floppy image without
                                          specifying a full path

84d859b3 - Petter Schau     , 2013-10-20 : CPU emulation fixes:
                                          * Reimplemented bit field instruction
                                          code to address several problems with
                                          it. (Fix Lotus 96k)
                                          * More elaborate overflow detection
                                          for asl intstruction.
                                          * Minor, changed strange flag check in
                                          mulu.

ea86f7a1 - carfesh          , 2013-10-20 : fix for RetroPlatform escape key repetition (Workbench)

435c7fd0 - carfesh          , 2013-10-19 : fix for RetroPlatform escape key handling documentation update (user guide &
                                          regression test cases)

867e4d22 - Petter Schau     , 2013-10-19 : Modify commit 969, ks 3.1 broke.

b81ce739 - Petter Schau     , 2013-10-19 : Some sanity checks on copper event values to avoid endless loop. (Fixes game 3D
                                          Pool, actual crash was overflow in
                                          sprite list generation.)

345580e7 - Petter Schau     , 2013-10-19 : Removed strange special case for timer values. (Fixes the game Atomic)

8bbae7b9 - carfesh          , 2013-10-18 : default config changed to A500+A-501 default config changed to windowed, with
                                          LEDs active documentation update
                                          regarding chipmem/slowmem mirroring
                                          (user guide & regression testing)

80e1b2c1 - Petter Schau     , 2013-10-13 : Added chipmem aliasing on OCS/A500. Added slow-mem aliasing on ECS for the
                                          512k+512k config. Internally no more
                                          than 512k chipmem will be used on OCS.
                                          Moved blitter_ECS setting to new file
                                          chipset.cpp and renamed option. It is
                                          only in the code, the config format is
                                          not changed. Made common functions to
                                          mask chipset pointers and chipmem
                                          access. Old constants removed and made
                                          configurable. UI: Require reset for
                                          OCS/ECS change. UI: For now,
                                          validating the chip memory setting on
                                          load config and start.

668325bb - Petter Schau     , 2013-10-09 : Removed statefile entries in the menu.

cbcbb163 - carfesh          , 2013-10-07 : version number increased to 0.5.2 as preparation for new release documentation
                                          update

1ae67b26 - Petter Schau     , 2013-10-06 : Clear graphics buffers when switching from interlace to progressive if the scale
                                          strategy is scanline.

c74193d4 - Petter Schau     , 2013-10-06 : copjmp was lost if triggered while dma was off and the copper had already run to
                                          the end of its copper list. (Multica
                                          interlace init.)

4408fffe - carfesh          , 2013-10-06 : fixed clipped display in "automatic" mode, which was broken by last commit
                                          switching between 1x and 2x in
                                          automatic mode is now possible fixed a
                                          crash to the desktop when switching to
                                          2x mode while session is paused
                                          (RetroPlatform)

520062d8 - Petter Schau     , 2013-10-06 : Pad lines with background color at the bottom for frames without a full set of
                                          lines vs. the buffer size.

70f1d70e - carfesh          , 2013-10-06 : fixes for two clipping related issues in Amiga Forever usage mode left offset
                                          was wrong for clipping offsets < 16 if
                                          one of the offsets was 0, the top
                                          offset would be ignored completely
                                          updated end user documentation updated
                                          regression testing documentation

8bb5544a - Petter Schau     , 2013-10-03 : * Avoid decoding bitplanes for impossible ddf values in hires. (lores had it
                                          already) Avoids C2D.

b75e41ea - Petter Schau     , 2013-10-02 : Set floppy change bit high when no disk is selected. Silkwork crack intro
                                          compares this bit.

941bcfae - Petter Schau     , 2013-10-02 : * Clear dma pending flag when blit is initiated from enabling dma in wdmacon.

d315623c - Petter Schau     , 2013-10-02 : * Separated interlace rendering decision from emulation of interlace to emulate
                                          it properly when not deinterlacing. *
                                          Apply config option for deinterlace in
                                          the central config apply function.
                                          Setting was not always applied. *
                                          Don't hardcode long frames in
                                          busHardReset, let interlace control
                                          switch when it detects change.
                                          (black/white-out problem).

ad86d8d8 - carfesh          , 2013-09-28 : fix NULL pointer exception related to graph frame pointer regression testing
                                          documentation updated WinFellow user
                                          guide updated

51d2bca4 - Petter Schau     , 2013-09-24 : Fix copper pt load when Sequential initialize interlace. And some (commented
                                          out) log statements useful for
                                          interlace debugging.

4b38a887 - carfesh          , 2013-09-24 : added compatibility manifest to project specified Windows 8.1 in the compatible
                                          OSes section implemented system
                                          information detection for Windows 8.1

107cb9af - carfesh          , 2013-09-23 : (re)added interlace compensation configuration option under various options
                                          fixed GRAPH2 build compilation fixed
                                          NULL pointer exceptions that would
                                          occasionally occur while reading the
                                          RTC updated regression testing
                                          documentation

c0a8457b - Petter Schau     , 2013-09-15 : Removed beamcon0 experiment that wasn't to be in the commit.

8578f7cc - Petter Schau     , 2013-09-15 : Implemented proper "short frame" when display is interlaced and frame is short.

90f2a78c - Petter Schau     , 2013-09-08 : Changed the PC (-2) saved on the stack for address exception.

b4361185 - Petter Schau     , 2013-09-01 : The old "interlace compensation" option is done automatically when needed.

afa5db03 - carfesh          , 2013-08-26 : first attempt at fullscreen RetroPlatform mode the scaling is off for the
                                          moment, but switching is already
                                          possible (but still limited to the
                                          primary display)

3e133df9 - carfesh          , 2013-07-26 : fix for crash when setting RTC registers while getting current time fails
                                          eliminated SSE requirements
                                          (targetting IA32 now) documentation
                                          update

8d64b88a - carfesh          , 2013-07-21 : reconfigured debug and release profile to target SSE1 reconfigured floating
                                          point optimization to fast for debug
                                          profile (to match release profile)

35fe05b6 - carfesh          , 2013-07-19 : removed assembler based sysinfo code removed MMX detection, as it is unused

9b8a62fb - carfesh          , 2013-07-15 : fix input device issue when RP session is being reset documentation update

b4999b72 - Petter Schau     , 2013-07-09 : Cleanup - Removed the last remnants of the old de-interlace handling.

a2f7c6fc - carfesh          , 2013-07-09 : RetroPlatform 1x/2x mode switching fixed made 2x mode available for release
                                          builds

26e0596c - carfesh          , 2013-07-08 : RetroPlatform 1x/2x switch is now able to change display scale on the fly

c7c5ce96 - carfesh          , 2013-07-06 : delay RetroPlatform screenmode notification to occur later larger buffer for
                                          offscreen surface

f54a1dfd - Petter Schau     , 2013-07-02 : 24-bit color routines debugged and fixed an overrun problem in 16-bit color.

43e9dfed - Petter Schau     , 2013-06-30 : 32-bit color should be good now, also in HAM. Still having some crashes in
                                          16-bit color. (TODO).

ffed5b70 - carfesh          , 2013-06-27 : 2x mode now working when passed on startup toggling around between 1x and 2x
                                          still not working

16b94df9 - carfesh          , 2013-06-26 : further enhancements to offset calculations - window now sized correctly for 2x
                                          mode

00b50584 - carfesh          , 2013-06-25 : display scale is now taken into account upon startup resolution still not being
                                          adapted properly

5c2d65b9 - carfesh          , 2013-06-24 : screen resolution change via Amiga Forever - experimental implementation

35ddba51 - carfesh          , 2013-06-24 : enable 2x button in debug builds documentation updated to highlight new scaling
                                          options

299d112e - Petter Schau     , 2013-06-23 : Reworked the display scaling settings and code to render in two modes, 1X
                                          (640x512+ type) and 2X (1280x1024+
                                          type). Replaced a number of display
                                          related config settings with two new
                                          ones: gfx_display_scale and
                                          gfx_display_scale_strategy

70ef4f64 - carfesh          , 2013-06-15 : presets are no longer being applied to the filesystem and configuration tabs
                                          this fixes the issue that the hardfile
                                          and filesystem config was being reset
                                          when applying a preset

47106000 - carfesh          , 2013-06-03 : fixed an issue where the presets dialog would execute unwanted code segments
                                          made ROM search path edit field
                                          read-only (select via button on the
                                          right instead)

848a7f2c - carfesh          , 2013-06-02 : in graphics fallback mode, windowed modes are now usable as well added
                                          initialization for last used mod dir
                                          removed unused variable from rom
                                          search

c0990ead - carfesh          , 2013-06-01 : restored fallback to enumerate modes ignoring the refresh rate, if no valid
                                          drawmodes are found implemented error
                                          handling in RetroPlatform mode when no
                                          draw modes are found

215f0366 - carfesh          , 2013-06-01 : preset ROM search no longer performed recursively (FILEOPS_ROMSEARCH_RECURSIVE
                                          define not set by default)

c6fa05a2 - carfesh          , 2013-05-31 : changed preferred way to locate AmigaForever.dll relatively (so a portable
                                          installation is preferred over an
                                          installed one)

00d33773 - carfesh          , 2013-05-31 : minor fix of preset location code in release builds and properly free file
                                          handles

304ff853 - carfesh          , 2013-05-31 : implemented fallback to locate AmigaForever.dll relatively to the WinFellow
                                          installation directory (portable use)
                                          removed unused fallback code from 1Hz
                                          graphics mode selection fix

fcb300d8 - carfesh          , 2013-05-31 : graphics modes with 1 Hz refresh rate are no longer being ignored, allowing
                                          testing of WinFellow with a standard
                                          VGA driver/in virtual machines fixed
                                          logging of preset path

bea3cd09 - carfesh          , 2013-05-28 : code refactoring to avoid stack exhaustion issue (move declarations to the
                                          beginning of functions) eliminated
                                          fallback to "doubled" kickstart CRC
                                          calculation logging output optimized

966bfe60 - carfesh          , 2013-05-27 : preset ROM auto selection for Amiga Forever encrypted ROMs implemented in debug
                                          mode, presets are now read from
                                          relative path within source directory
                                          as well updated checksums for A2000
                                          and A600 presets to match Amiga
                                          Forever ROMs

39a761f1 - carfesh          , 2013-05-26 : auto-location of ROMs for model preset functionality

b8e2e07e - carfesh          , 2013-05-25 : presets preview and import (1:1) finished

78fe211f - carfesh          , 2013-05-21 : presets now put into dropdown box highlights partially displayed in GUI

6ad28286 - carfesh          , 2013-05-20 : presets are now parsed on startup of the emulator

3a39de37 - carfesh          , 2013-05-19 : added the ability to locate presets directory (inside WinFellow installation
                                          path)

9b03d919 - carfesh          , 2013-05-18 : remember last used preset rom search path default to Amiga Forever enable model
                                          dropdown box when search path is
                                          configured

48145a81 - carfesh          , 2013-05-18 : GUI preparations for handling of model presets

e7e4c907 - Petter Schau     , 2013-05-12 : Some new copper improvements and preparing for proper sprite drawing in dual and
                                          ham.

2c0f613c - Petter Schau     , 2013-05-12 : Border handling. Restructured code to accomodate this, and enabled new copper
                                          which was disabled previously.

ca4322ef - Petter Schau     , 2013-05-11 : Missing #ifdef...

e422a69a - Petter Schau     , 2013-05-11 : Keep the floppy log file open until shutdown to improve performance in debugging
                                          mode.

f754902d - carfesh          , 2013-05-09 : versioninfo logging extended with GRAPH2 build information added a project
                                          property GraphVersion that can be set
                                          to GRAPH2 to compile a GRAPH2 build in
                                          an unattended manner

b01019a8 - carfesh          , 2013-05-09 : floppy creation check for illegal volume names is now case insensitive changed
                                          some bool instances of FALSE/TRUE to
                                          false/true updated regression testing
                                          documentation for recent sprite fix

59195b2f - Petter Schau     , 2013-05-07 : Fix sprite DMA being disabled instead of waiting. Ref. Arkanoid updating
                                          vstart/vstop with the copper.

3543b7f7 - Petter Schau     , 2013-05-07 : Prototype of a different gfx core. Enable with GRAPH2. Works only with 32-bit
                                          host colors.

4877002c - carfesh          , 2013-05-07 : a memory leak report is logged to disk when a debug build of the emulator closes
                                          (logfiledir) exception (user-mode
                                          dump) handling moved into winmain.c

88cd73ba - carfesh          , 2013-05-06 : floppy AmigaDOS volume names are now checked for basic validity before creating
                                          a floppy image

e6123091 - carfesh          , 2013-05-05 : code optimization & cleanup removed some warnings, made code more portable added
                                          coding style guidelines

14dcd7bf - carfesh          , 2013-05-03 : empty disk creation wizard finished

64687ec7 - carfesh          , 2013-05-03 : GUI code for floppy image generation completed

1ce2bda8 - carfesh          , 2013-05-03 : GUI preparations for floppy creation dialog

ba4d0be9 - carfesh          , 2013-05-01 : increased sprite action/merge item list sizes to a maximum of 5.000 entries this
                                          fixes crashes to the desktop in State
                                          of the Art and Mega Lo Mania

442f91ec - carfesh          , 2013-05-01 : Fix for undo dialog in RetroPlatform mode when closing via Alt+F4

3481ff91 - carfesh          , 2013-05-01 : restored Alt+F4 in RetroPlatform mode

1160d3ba - Petter Schau     , 2013-04-28 : Revert previous change.

0151a5dc - Petter Schau     , 2013-04-28 : Reduced max window size to correspond with internal code max limits (287/574
                                          lines).

5c0041c0 - Petter Schau     , 2013-04-28 : Start keyboard direct input in exclusive mode to avoid some of the built in ALT
                                          handling in windows.

00cca31b - carfesh          , 2013-04-28 : implemented a warning message when quitting WinFellow with unsaved changes made
                                          to the configuration file

2b9de6a6 - carfesh          , 2013-04-23 : removed original config backup entry, as it was not used for anything using
                                          current config entry during shutdown
                                          to free the allocated memory resources

e57f368d - carfesh          , 2013-04-23 : cancelling configuration dialog implementation changed instead of saving to disk
                                          temporarily, a copy of the
                                          configuration is created in memory and
                                          either discarded or set as active
                                          afterwards

fd69dbeb - carfesh          , 2013-04-22 : configuration changes are now discarded when the config dialog is cancelled
                                          relocated temporary filename
                                          generation to fileops; it is OS
                                          specific and can now be used by other
                                          modules removed an unused local
                                          variable updated the end user
                                          documentation

0626ce76 - Petter Schau     , 2013-04-21 : Added drawing of sprites in hires dual playfield mode. Was incorrectly using the
                                          lores routine and a hires version of
                                          the code did not exist.

3f868891 - Petter Schau     , 2013-04-21 : Used macro PTR_TO_INT for pointer conversions (64-bit) for those conversions
                                          that wasn't using it. + Ignore
                                          WM_DISPLAYCHANGE in fullscreen mode on
                                          startup.

1d351dea - Petter Schau     , 2013-04-21 : Handle WM_DISPLAYCHANGE correctly, restart the emulation session to re-query the
                                          gfx hardware.

3c2e0a3b - carfesh          , 2013-04-21 : RetroPlatform library update of include

79aebf8e - Petter Schau     , 2013-04-21 : Clean up formatting prior to making other changes.

53d3b7a5 - carfesh          , 2013-04-19 : documentation updated to reflect requirements for WinXP targeting

653db5cd - carfesh          , 2013-04-19 : configured zlib compilation options within all profiles and platforms

d5cad801 - carfesh          , 2013-04-19 : zlib updated to version 1.2.7

2a073c32 - carfesh          , 2013-04-14 : toolset targeting also changed for release builds

abd8e333 - carfesh          , 2013-04-14 : toolset changed to target WinXP

023c451f - carfesh          , 2013-04-14 : minor documentation update before release

f00fbfc6 - carfesh          , 2013-04-14 : updated version information to release 0.5.1

67916665 - Petter Schau     , 2013-04-14 : mktime fails for years < (19)70, assume < 70 is next century.

0f0a89a4 - carfesh          , 2013-04-12 : cfgSetDefaults NULL pointer check implemented this fixes the generation of
                                          minidumps while closing WinFellow from
                                          RetroPlatform

ba922307 - carfesh          , 2013-04-11 : fixed garbled string in copyright properties added regression test case for
                                          recent floppy change

b2bc9fc6 - carfesh          , 2013-04-10 : floppy change regarding number of words per line reverted back

d6091233 - carfesh          , 2013-04-09 : documentation updates

a03938d7 - carfesh          , 2013-04-08 : changes to configuration file handling processing for standalone WinFellow, the
                                          last used config is only applied on
                                          start if no config file is provided
                                          via command-line in RetroPlatform
                                          mode, the last used config is never
                                          applied

a98e78c7 - carfesh          , 2013-04-08 : implemented GUI elements to configure real-time clock and silent sound emulation
                                          (framelimit removal) within various
                                          options

2d94c828 - Petter Schau     , 2013-04-07 : Added rtc config option.

da06f17d - carfesh          , 2013-04-07 : updated user guide and doxygen documentation

bb613119 - Petter Schau     , 2013-04-07 : Initial rtc.

a071889f - carfesh          , 2013-04-07 : implemented filtered screenshot function while "screenshot to pictures folder"
                                          already works, screenshot code only
                                          available in debug modes, as the
                                          clipping editor will also require the
                                          capability to resize the window, which
                                          is not implemented yet

605279f9 - carfesh          , 2013-04-06 : fixed floppy regression while loading Lemmings 2 added additional logging in
                                          case of "unusual" dsksync values
                                          updated regression test documentation

adcd9c22 - carfesh          , 2013-04-05 : fix for compilation on Express editions of Visual Studio

7c05fa39 - carfesh          , 2013-04-05 : audio volume slider implemented for WinFellow GUI

77b08eb0 - carfesh          , 2013-04-05 : changes to ignore list

84712830 - carfesh          , 2013-04-05 : separation of versioninfo from GUI resources

d57ada79 - carfesh          , 2013-04-05 : disable screenshot function in release builds RetroPlatform code and
                                          comment/documentation cleanup

b5aa5840 - carfesh          , 2013-04-04 : clear floppy debug log upon start of the emulator it grows to be quite big over
                                          time

f525ae4f - carfesh          , 2013-04-04 : source rectangle now also being applied when surface is lost (RP mode) removed
                                          unused code, documentation updates

19e16fc7 - carfesh          , 2013-04-04 : implemented return codes within screenshot handling, so RP player accepts images

4647efad - carfesh          , 2013-04-04 : first attempt at RetroPlatform screenshot function implemented

d0547cfe - carfesh          , 2013-04-04 : hard drive content reporting using proper index, (write) LED display timing fix

089d433d - carfesh          , 2013-04-03 : notification of device content and activity for hardfiles implemented

2a5495e9 - carfesh          , 2013-04-02 : notification of activated hardfiles implemented

0add5e7f - carfesh          , 2013-04-02 : icon updated for new Vista/Windows 7/8 resolutions

932e4b71 - Petter Schau     , 2013-03-31 : Don't use fullscreen modes with a refresh rate less than 50.

74a1f62d - Petter Schau     , 2013-03-31 : Removed support for 8-bit color modes.

f9851586 - Petter Schau     , 2013-03-31 : Added test case for r843.

2302475d - Petter Schau     , 2013-03-31 : Made HUD LEDs the same height regardless of scaling option. Also changed some
                                          BOOLE types to bool.

20e9f440 - Petter Schau     , 2013-03-30 : Made CPU_INSTRUCTION_LOGGING dependent on _DEBUG

464f450f - carfesh          , 2013-03-30 : sound volume made configurable via configuration file new parameter
                                          sound_volume=<0-100> is being read and
                                          applied on start

7d540667 - carfesh          , 2013-03-30 : fix for compilation of release build the recent logging changes had one leftover
                                          call for debug logging in release mode

1de02e4e - carfesh          , 2013-03-30 : implemented RetroPlatform volume control first stubs for screenshot
                                          functionality

0062b719 - Petter Schau     , 2013-03-30 : Re-add disksync workaround for ADF that existed in 0.4.4. (Prince of Persia,
                                          North and South)

23b97626 - Petter Schau     , 2013-03-29 : Improved logging a bit + reformatting to make code more readable.

06adb5be - carfesh          , 2013-03-29 : reporting of screen mode to host implemented (1x clipped mode) code restructured
                                          for conversion to different screen
                                          modes/scaling factors, abstraction of
                                          numbers

8636d018 - carfesh          , 2013-03-29 : number of default reserved blocks for hardfiles changed to 2 it now matches the
                                          numbers used by WinUAE and Amiga
                                          Forever, increasing interoperability

5f4dbe95 - carfesh          , 2013-03-29 : send mouse capture notification when activating via title bar

6d862218 - carfesh          , 2013-03-29 : rewrote CPU turbo mode control RP session is now stopped and the bus cpu event
                                          handler re-calculated, allowing use of
                                          the fast routines in normal mode; the
                                          black flash is a minor cosmetic issue
                                          - turbo mode is rarely used and using
                                          the fast routines is preferable for
                                          normal operation

1b494c9d - carfesh          , 2013-03-29 : code cleanup unused keyboard code removed some unused variables that were being
                                          initialized

78962285 - carfesh          , 2013-03-28 : RetroPlatform CPU turbo mode fixed in RP mode, generic CPU instruction handler
                                          will now always be used, so that the
                                          speed can be varied

844f8a26 - carfesh          , 2013-03-28 : timed escape key rewritten still not compatible with all titles, but seems to
                                          finally work for the most frequent use
                                          cases

c8babe77 - carfesh          , 2013-03-28 : turbo CPU code update documentation updates

e82edbc0 - Petter Schau     , 2013-03-28 : More checks for emulation stop (ie F11) to avoid deadlock in rare cases.

e60fef9d - Petter Schau     , 2013-03-28 : Fix movep instruction bug and made cpu exception handling check better for bad
                                          addressess to avoid deadlock.

ef0c0db9 - Petter Schau     , 2013-03-26 : Moved chipset interrupt handling to a separate file. Added interrupt event to
                                          account for latency.

8c735647 - carfesh          , 2013-03-24 : error handling for extended2 ADF format images an error message is logged and
                                          insertion of disk aborted when these
                                          images are detected

b28277b6 - carfesh          , 2013-03-23 : GNU General Public License v2 (TeX) checked into documentation

4fba9444 - carfesh          , 2013-03-23 : fixed various RetroPlatform related floppy issues: 1. first enable floppy
                                          drives, then send content (so content
                                          is sent on initialization as well) 2.
                                          implemented floppy write LED status
                                          (should fix undo issue) 3. implemented
                                          reporting of floppy turbo flag, so it
                                          is visible in the GUI

d8bdac31 - carfesh          , 2013-03-23 : updated documentation of RetroPlatform.c, now includes rough description of how
                                          RP plug-in works updated RetroPlatform
                                          support library to 3.4 (changes to
                                          screenshot interfaces) clean rewrite
                                          of the safety checks for the
                                          adjustments of the clipping offsets

bc9679dd - carfesh          , 2013-03-22 : documentation update for new build scripts

a3e05c49 - carfesh          , 2013-03-22 : initial checkin of WinFellow User Guide

95484497 - Petter Schau     , 2013-03-21 : Changed how the CPU driven sound stub issues irq's. (Ballistix regression)

4d6c4bc5 - carfesh          , 2013-03-21 : fix for clipping when interlace compensation is active (source rectangle was
                                          being ignored)

96737ce3 - carfesh          , 2013-03-17 : clipping override using value of 0 now possible again

09a010f9 - carfesh          , 2013-03-15 : fix for proper scaling of automatic/PAL maximum mode

b67a304f - carfesh          , 2013-03-15 : clipping is now performed by aligning the source rectangle properly and applying
                                          it during blit, to reduce the
                                          performance hit caused by clipping
                                          this no longer relies on the DirectX
                                          failsafe to prevent copying of data
                                          outside the window borders

90d1b247 - carfesh          , 2013-03-14 : clipping offsets are now only applied onscreen if both are configured; this
                                          fixes a displacement issue in
                                          automatic clipping mode (max
                                          resolution) without offsets

c6c47d5a - carfesh          , 2013-03-14 : implementation of clipping by offsets in RetroPlatform client mode

75beac6c - carfesh          , 2013-03-12 : restored original escape key behaviour, as the new one proved really flakey;
                                          this requires design changes to the
                                          keyboard driver before deploying a
                                          final fix

845c8566 - carfesh          , 2013-03-11 : last commit broke keyboard replacements, as it would skip further checks

d143aa02 - carfesh          , 2013-03-11 : RetroPlatform escape key is now always sent to emulator session, so key can be
                                          used inside emulation

6fc8e5b2 - Petter Schau     , 2013-03-10 : Changed to load Ballistix.

6f769985 - carfesh          , 2013-03-10 : fixed escaping the mouse cursor in RetroPlatform pause mode by escaping
                                          immediately after key press when
                                          paused

488262ef - Petter Schau     , 2013-03-09 : Last batch of vs code analysis changes. Mostly sprintf and printing unsigned int
                                          as %d, should be %u. These show up as
                                          warnings on gcc.

7a95f4fd - carfesh          , 2013-03-09 : use native line endings instead of unix line endings

88b6d00f - Petter Schau     , 2013-03-09 : Create the sound buffer with DSBCAPS_GLOBALFOCUS.

08f8cbab - Petter Schau     , 2013-03-09 : Added logging of all return values from DirectSound. Some minor refactoring.

06e960a2 - carfesh          , 2013-03-09 : preparations for clipping offsets RP clipping values are read from the config
                                          file and an interface provided to
                                          retrieve them

f466d645 - Petter Schau     , 2013-03-09 : No functional changes. Fixed warnings gotten in the vs code analysis tool, and
                                          reformatted sounddrv.c

c8693165 - carfesh          , 2013-03-08 : minidumps are now only generated for release builds, as debug builds are usually
                                          debugged using Visual Studio exception
                                          handling routines changed to native C

cf77139d - carfesh          , 2013-03-08 : corrected some line endings

47917213 - carfesh          , 2013-03-08 : generation of debugging program databases for release build added, so that
                                          release build crash dumps can be
                                          debugged

d49c6d9d - carfesh          , 2013-03-08 : Generation of minidumps implemented Minidumps are output to the directory where
                                          the logfile is written, should an
                                          unhandled exception occur; this allows
                                          us to debug errors in release
                                          builds/generated outside Visual
                                          Studio.

25062ad0 - carfesh          , 2013-03-08 : minor fix for clipped display in automatic mode updated documentation to reflect
                                          migration to SVN and new build process

ddd826d0 - carfesh          , 2013-03-07 : initial clipping support for RetroPlatform; the resolution is read from the
                                          config, and the display centered
                                          within that area while still ignoring
                                          the clipping offsets
                                          changed the order in which modules are
                                          initialized, as config parsing was
                                          moved more to the beginning, and the
                                          keyboard modules need to be
                                          initialized before that.
6bbdb876 - Petter Schau     , 2013-03-06 : Kelvin Sherlock's rtd fix.

75bf5f19 - carfesh          , 2013-03-06 : generating the resource file GUI_general.rc is now a pre-build step, so that the
                                          file properties contain the SVN
                                          revision as build number

88e71c61 - carfesh          , 2013-03-05 : setup AnkhSVN integration

14cada6d - carfesh          , 2013-03-05 : include SVN version information in WinFellow version info

46b5c055 - carfesh          , 2013-03-05 : remove leftovers from the CVS2SVN migration

bd384dc1 - carfesh          , 2013-02-16 : fixed support for one joystick, rearranged joystick order

e428eeac - carfesh          , 2013-02-12 : ability to remove assigned input device via Retroplatform, fix for unused keys

178a245d - carfesh          , 2013-02-09 : cleanup of unnecessary code segment

64dd2de7 - carfesh          , 2013-02-09 : reporting of gameport device activity to RetroPlatform host

8d6c0e27 - carfesh          , 2013-02-08 : support for write protection of floppy disks via RetroPlatform

71348271 - carfesh          , 2013-02-08 : fixed support for two joysticks (joyDrvMovementHandler), RetroPlatform
                                          enumerates joysticks with names

7b4022e5 - carfesh          , 2013-02-04 : fix for custom keyboard layouts while joystick is attached, autofire support for
                                          custom keyboard layouts

dc0f36b8 - carfesh          , 2013-02-02 : implemented custom keyboard layouts via RetroPlatform

eca8ab6c - carfesh          , 2013-01-21 : translation of symbolic escape key code when escape key is configured

9da7daab - carfesh          , 2013-01-21 : fixed translation of escape key code so that it can be changed in RetroPlatform
                                          player

72e31bce - carfesh          , 2013-01-21 : fixed message on mouse capture

d8cd711f - carfesh          , 2013-01-21 : initial capture also performed when clicking into the window

c6635444 - carfesh          , 2013-01-21 : fixed capture and release of mouse cursor

4d241009 - carfesh          , 2013-01-18 : fix for crash after RP joystick detection - send joystick info after enumeration

0deb5bbc - carfesh          , 2013-01-15 : mouse driver now allows to set focus to a determined state for use in
                                          RetroPlatform

20643b2f - carfesh          , 2013-01-15 : fixed minor typo, so that RP frame handler is only called in RP mode

5176b061 - carfesh          , 2013-01-14 : experimental joystick detection, disabled focus event for now

13fe1a00 - carfesh          , 2013-01-14 : fixed compilation using Visual Studio Express

c6b7004e - Petter Schau     , 2013-01-13 : Changed to build all as C++, except zlib.

afb32c01 - Petter Schau     , 2013-01-13 : Added buttons for modrip and memdump in the debugger. Changed step and step over
                                          logic and window size adjustments. And
                                          adaptations in directx driver files to
                                          allow building in c++.

eaa79027 - carfesh          , 2013-01-13 : OS detection for Windows Vista, 7 and 8 implemented

36b9dd78 - carfesh          , 2013-01-11 : updated joystick replacement code

68fd4518 - carfesh          , 2013-01-11 : minor fix to restore original behaviour of window dragging when not operating in
                                          RetroPlatform mode

682501d7 - carfesh          , 2013-01-11 : search for CAPS dll also in common program files path

8dc95f26 - carfesh          , 2013-01-11 : fixed a compiler warning regarding editandcontinue - disabled it

fcb85bc9 - carfesh          , 2013-01-11 : fixed a compiler warning in debug mode due to editandcontinie, disabled it

edf90e48 - carfesh          , 2013-01-09 : check-in of GPL and Credits

661bcb7a - carfesh          , 2013-01-09 : updated FAQ

cc2ee421 - carfesh          , 2013-01-09 : distribution switched to TeX Live, as it provides a more hazzle-free first
                                          execution and generates significantly
                                          (30%) smaller output files compared to
                                          MiKTeX.

e5876ac4 - Petter Schau     , 2013-01-08 : Removed unused function, made setjmp buffer externally visible.

d0d65ab2 - Petter Schau     , 2013-01-08 : Call setjmp directly instead of wrapping it in a function in a different file.
                                          (Compiler bug with optimisation.)

087a429a - Petter Schau     , 2013-01-08 : Flags for eorw and orw, calculated flags on long result instead of word.

751a753c - carfesh          , 2013-01-08 : - fix for escape key functionality - capturing mouse still severely broken

15879fad - carfesh          , 2013-01-08 : capture mouse before emulation start

5990eaef - carfesh          , 2013-01-08 : setcapture/releasecapture, process further window messages

b5efd711 - carfesh          , 2013-01-08 : some attempts to correct RetroPlatform mouse capturing

536b98cc - carfesh          , 2013-01-07 : - general cleanup of log messages output in debug vs. release mode

272316e5 - carfesh          , 2013-01-07 : - fix for sending activation event only when in RP mode

b0c7b3db - carfesh          , 2013-01-07 : - updates to power LED, window messages

df82da01 - carfesh          , 2013-01-07 : - fixed cosmetical output error

a6a6cb21 - carfesh          , 2013-01-06 : - further input device support (keyboard layout 1, joystick 2)

6cf0ce17 - carfesh          , 2013-01-06 : - implemented 2nd joystick support

7ff3faa3 - carfesh          , 2013-01-06 : - included joystick product name in fellow.log to make identification easier

fb1f1c83 - carfesh          , 2013-01-06 : - changed device category from joystick to game controller to fix joystick
                                          enumeration

649a96be - Petter Schau     , 2013-01-06 : Removed implicit casts.

54c9ad9e - carfesh          , 2013-01-05 : - fix for systems without Amiga Forever installed

be323af8 - Petter Schau     , 2013-01-05 : Changed the constant for lines in a frame.

a11b54c7 - carfesh          , 2013-01-05 : - initial input device support code

70fe026b - carfesh          , 2013-01-05 : - documentation updates, floppy drive change/ejection fixed, charater string
                                          conversion, improved logging

5e98b7f9 - carfesh          , 2013-01-05 : - floppy LED status updates now sent on drive motor status changes

80181a71 - carfesh          , 2013-01-04 : - documentation updates

c91e8275 - carfesh          , 2013-01-04 : - updated bug info

e71aa474 - carfesh          , 2013-01-04 : - support for floppy drive seek/device activity events added

77262e71 - carfesh          , 2013-01-04 : - increased maximum logfile line length to 512 (128 turned out to be too small)

6705f672 - carfesh          , 2013-01-04 : - fixed another typo

ce749538 - carfesh          , 2013-01-04 : - fixed some typos

a93ab7b3 - carfesh          , 2013-01-04 : - fixed some typos

c470b6d5 - carfesh          , 2013-01-04 : - updated todo/bug list

477ccc2e - carfesh          , 2013-01-04 : - updated to include markdown files from documentation directory

254dd251 - carfesh          , 2013-01-04 : - initial set of documentation added to the repository

85af397e - carfesh          , 2013-01-04 : - initial doxygen configuration for WinFellow

cf87c38b - carfesh          , 2013-01-03 : - fixed host input device enumeration end message

6db7a362 - carfesh          , 2013-01-03 : - further work on input device/mouse support

72da28fb - carfesh          , 2013-01-03 : - initial input device and floppy enumeration support

c38adca6 - carfesh          , 2013-01-02 : - fixed deprecated call to tempnam

95cd84a4 - carfesh          , 2013-01-02 : - only initialize RetroPlatform modules, if RetroPlatform mode was detected

d98124da - carfesh          , 2013-01-02 : - fixed crash when opening configuration when no resolution in requested color
                                          depth available

a3d5dc1b - carfesh          , 2013-01-02 : - fixed compilation with Visual Studio Express (no MFC support), upgraded
                                          project to Visual Studio 2012

9459065c - carfesh          , 2012-12-30 : *** empty log message ***

4474d22c - carfesh          , 2012-12-30 : *** empty log message ***

c58ae5a7 - carfesh          , 2012-12-30 : *** empty log message ***

0c997788 - carfesh          , 2012-12-30 : - use key set in RetroPlatform module instead of hardcoded ESCAPE key

6ad8456e - carfesh          , 2012-12-30 : - implemented detection of escape key pressed and mouse capture/focus handling

d09bd3bf - carfesh          , 2012-12-29 : - updated version number to 0.5.0.0 and the year to -2013

0f1a8b97 - carfesh          , 2012-12-29 : - fixed hard reset functionality, soft reset untested

d910ce4d - carfesh          , 2012-12-29 : - fixed power LED status after pausing/resuming changes

7fccab18 - carfesh          , 2012-12-29 : - changed the way pausing and resuming works to use gfxDrvRunEventSet/Reset,
                                          event loop eliminated

9d100bce - carfesh          , 2012-12-29 : - further documentation update

7f550db4 - carfesh          , 2012-12-29 : - code cleanup and documentation

9f15eb53 - carfesh          , 2012-12-29 : - revert revision change

1335ac8b - carfesh          , 2012-12-29 : - test for CVS revision

5f7e3ad7 - carfesh          , 2012-12-29 : - turbo floppy mode

368000b4 - carfesh          , 2012-12-29 : - PowerLED intensity fix

b233c59e - carfesh          , 2012-12-29 : - disabled pause functionality for the time being

e99e6438 - carfesh          , 2012-12-29 : - power LED intensity must be a percent value.

3c389cff - carfesh          , 2012-12-28 : - fixed crash when closing emulator while paused (hopefully)

5ceb9d4b - carfesh          , 2012-12-28 : - pausing, resuming and quitting the emulation now work in a stable manner

303328de - carfesh          , 2012-12-28 : - event handling for RetroPlatform emulator control (pause, resume, quit)
                                          implemented

16e614b2 - carfesh          , 2012-12-27 : - further work on RetroPlatform support, floppy change implemented, doxygen
                                          comments added to RetroPlatform module

6feb8a65 - carfesh          , 2012-12-24 : - emulator window now properly embeds in RetroPlatform player - fixed
                                          compilation error when RetroPlatform
                                          support is disabled

8f176478 - carfesh          , 2012-12-24 : - registration of window as a RetroPlatform player child

c00a3ac0 - carfesh          , 2012-12-23 : - initial code for screen mode registration / activation of RetroPlatform player

fe0c77f6 - carfesh          , 2012-12-23 : - RetroPlatform activation IPC message handling

867b1a53 - carfesh          , 2012-12-23 : - first steps towards activation message implemented

2fd66547 - carfesh          , 2012-12-23 : - initial registration of features implemented

bfaccc6c - carfesh          , 2012-12-23 : - ability to determine RetroPlatform host version was added

cb06d057 - carfesh          , 2012-12-23 : - initial IPC registration

18b70319 - carfesh          , 2012-12-11 : - now able to start emulation via AmigaForever, even though no proper way to
                                          quit it exists yet

ce48569a - Petter Schau     , 2012-12-08 : Merged missing fileops fixes from build 3.

27acc8d5 - carfesh          , 2012-12-08 : fixed an endless loop when an unrecognized commandline parameter was passed to
                                          the emulator

8f22ceb6 - carfesh          , 2012-12-07 : - early RetroPlatform support files

3efc84e0 - carfesh          , 2012-12-07 : - fileopsGetGenericFilename can now be specified as parameter, use Amiga Forever
                                          Amiga Files directory instead of
                                          AppData - very early RetroPlatform
                                          support work - refined command line
                                          parameter parsing (new parameters, fix
                                          to no longer skip parameters) -
                                          example RetroPlatform debugging
                                          commandline paramters included

e5c6dca4 - carfesh          , 2012-12-05 : improved error handling in case the AMIGAFOREVERROOT variable is not set

42890c1e - carfesh          , 2012-12-04 : - addition of RetroPlatform IPC support modules to project - new linker options
                                          SAFESEH, NXCOMPAT, DYNAMICBASE
                                          configured - AmigaForever.dll key
                                          retrieval for encrypted Amiga Forever
                                          kickstart ROMs

0a2d7637 - carfesh          , 2012-12-04 : - addition of RetroPlatform IPC support modules to project - new linker options
                                          SAFESEH, NXCOMPAT, DYNAMICBASE
                                          configured - AmigaForever.dll key
                                          retrieval for encrypted Amiga Forever
                                          kickstart ROMs

811d86e6 - Petter Schau     , 2012-08-12 : Verified some timing issues. Cleaned up some logging.

4df53298 - Petter Schau     , 2012-07-30 : Adjustments to previous check-in.

fcf995e8 - Petter Schau     , 2012-07-30 : Removed unused files.

e2241db1 - Petter Schau     , 2012-07-15 : Tweaks to the main loop of the emulator/cpu module and how the cpu emulation
                                          reads data.

12fc0a44 - Petter Schau     , 2012-07-14 : Cleaned up memory routines after optimising.

342af512 - Petter Schau     , 2011-07-20 : * Reduced overhead some more in bus event and cpu instruction scheduling some
                                          more. * Trying out another memory ptr
                                          optimisation to reduce opcode read
                                          time. Needs more work to be safe.

bfe8c9bf - Petter Schau     , 2011-07-19 : Some optimisations: * Added
                                          cpuIntegrationExecuteInstructionEventHandler68000Fast,
                                          hardcoded for the usual 7Mhz scenario.
                                          Reduces overhead of instruction time
                                          calculations. * Removed
                                          cpuSetCurrentOpcode call from
                                          cpuExecuteIntruction when logging
                                          isn't compiled in.

48ec2ed3 - Petter Schau     , 2011-07-18 : Some optimizations: * bus and CPU module: bus event and cpu instruction logging
                                          moved into #ifdefs. Removes dummy
                                          calls to logging functions found in
                                          the main bus loop, and the cpu
                                          instruction execution entry point and
                                          from irq and exception processing. *
                                          CPU module: CPU flag calculations
                                          rewritten for speed. * fmem.c:
                                          Re-introduced an old optimisation in a
                                          more general form, using memory
                                          pointers to read values from memory
                                          that is real memory. * floppy.c: Was
                                          doing some minor logging of head
                                          positions. Commented it out. * bus.c
                                          and cpuIntegration.c: Some other
                                          tweaks to the bus event loop and cpu
                                          execution loop to make sure no
                                          unnecessary code was run inside the
                                          loops.
                                          sysinfo: Using ...Ex method to read
                                          memory size larger than 4GB.

0a4ddc69 - Petter Schau     , 2010-10-18 : 68kgenerate.c: Wrong parameter for MOVES. CpuIntegration.c: Replaced ULO with
                                          enum CpuModule.c: Clear irq event on
                                          reset. CpuModule_Code.h: Regenerated
                                          file to include MOVES fix.

86d84d5f - Petter Schau     , 2010-06-20 : Fix deinterlace crash. Disable other scaling strategies when de-interlacing.

1ea0e772 - Petter Schau     , 2010-06-20 : Moved SDK include and lib directory definitions to the SDK property sheet,
                                          removed many hardcoded directories and
                                          some other options from specific
                                          configurations in the WinFellow
                                          project file. Trying to rely on
                                          inheritance and macros.

0540103c - Petter Schau     , 2010-06-20 : Turn off stretch always, it should not be checked in as TRUE.

cd07ed93 - carfesh          , 2010-06-14 : added Visual Studio 2010 project files

72095b57 - Petter Schau     , 2009-07-26 : x64 type patches, + some other tweaks in draw.c

36ebedb5 - Petter Schau     , 2009-07-25 : Merged some minor changes. (Declarations etc.)

eebaf4b7 - Petter Schau     , 2009-07-25 : Chk, stack frames, rotate flags and a missing byte adressing mode for move.

6afc83c9 - Petter Schau     , 2009-07-25 : Refactored the cpu-emu files.

bb2a9c94 - Petter Schau     , 2008-11-03 : Various cleanup.

52000124 - Petter Schau     , 2008-02-27 : * Added missing test on adcon's WORDSYNC bit. * dskbytr experiment.

bf37cd1b - Petter Schau     , 2008-02-27 : Added missing io handlers for adcon.

0c0c474a - Petter Schau     , 2008-02-27 : Fix TEK Rampage: Clear blitter irq bit in intreq when starting a blit.

2ffc5434 - Petter Schau     , 2008-02-24 : * Added cpu_chip_slowdown. * Using cpuSetReg()/cpuGetReg() functions everywhere.
                                          * Small optimization of cpu flag
                                          access functions.

4d4c37fd - carfesh          , 2008-02-24 : activate malloc debugging

60898ff0 - carfesh          , 2008-02-24 : activate malloc debugging

6b5543d4 - carfesh          , 2008-02-24 : fixed compiler warnings

a44f9202 - carfesh          , 2008-02-23 : write floppy.log to %appdata%\WinFellow, activate logging only for debug builds

d549977e - carfesh          , 2008-02-23 : fixed compiler warnings by properly declaring interfaces to sysinfoDetectMMX()
                                          and sysinfoDetectSSE() in header

d4ed3160 - Petter Schau     , 2008-02-21 : Use rom as label.

a2a4d8de - Petter Schau     , 2008-02-21 : Updated file header.

2e198a40 - Petter Schau     , 2008-02-21 : Updated file headers.

797352ff - Petter Schau     , 2008-02-20 : MOVEM: index register content on stack. Division by zero: Point to after the DIV
                                          instruction. (Alcatraz Odyssey)
                                          Exception stack frames, frame format
                                          and offset fixed.

90ecbe0f - Petter Schau     , 2008-02-20 : Updated headers.

42d689d6 - Petter Schau     , 2008-02-20 : ADDX,ABCD fix.

b197989f - Petter Schau     , 2008-02-20 : Tweaked blitter timing. (Global trash). Added GPL header and version string.

8edf91ee - Petter Schau     , 2008-02-18 : Deform Deformations blitter shift bug.

56cc2211 - Petter Schau     , 2008-02-17 : Scaling calculations caused drawing one line beyond buffer, and removed 64-bit
                                          warnings in sprite.c.

8c087147 - carfesh          , 2008-02-17 : fix spelling

afcaebf6 - carfesh          , 2008-02-17 : *** empty log message ***

039e3b61 - Petter Schau     , 2008-02-17 : Cleanup.

8be58e42 - Petter Schau     , 2008-02-17 : Merge from conversion_to_c.

75508153 - nobody           , 2008-02-12 : This commit was manufactured by cvs2svn to create branch 'assembly_based'.

31db8c2f - carfesh          , 2008-02-12 : remove DirectX3 configuration

1550cd55 - carfesh          , 2008-02-10 : Windows filesystem operations

02bac1a9 - carfesh          , 2008-02-10 : Windows filesystem operations

afb6a85b - carfesh          , 2008-02-10 : Windows filesystem operations

cc5afd55 - carfesh          , 2008-02-10 : Windows filesystem operations

375a0d39 - carfesh          , 2008-02-10 : Windows filesystem operations

a71327ae - carfesh          , 2008-02-09 : Windows filesystem operations

9ff6a4ac - carfesh          , 2008-02-09 : fix for November 2007 DirectX SDK

9efb6b91 - carfesh          , 2008-02-03 : fix for November 2007 DirectX SDK

558efa00 - carfesh          , 2008-02-03 : fix for November 2007 DirectX SDK

9f146594 - carfesh          , 2008-02-03 : fix project setup for November 2007 DirectX SDK

fc200d28 - carfesh          , 2008-02-01 : Visual Studio 2008 project setup (nasm2)

bcad7bf3 - carfesh          , 2004-06-13 : Commit of Torsten on 2004-06-13
                                          winmain.c

                                          * removed deactivated pragma that
                                          disabled global optimizations

359cdc95 - carfesh          , 2004-06-12 : Commit of Torsten on 2004-06-12
                                          	fellow.c/h

                                          		- new function
                                          fellowGetVersionString()

                                          	gfxdrv.c

                                          		- emulator window now
                                          shows the build date in the title bar

                                          	wgui.c

                                          		- the main emulator
                                          window shows the build date in the
                                          title bar

                                          	sysinfo.c

                                          		- build date is also
                                          written into the logfile

                                          	GUI_general.rc/h

                                          		- renamed a static item
                                          in the "about" dialog to make the text
                                          changeable

3b900af8 - carfesh          , 2004-06-09 : updated version information

4d14f890 - carfesh          , 2004-06-09 : optimized some settings

ed998bc1 - carfesh          , 2004-06-09 : Commit of Torsten on 2004-06-09
                                          	winmain.c

                                          		- reactivated
                                          optimization for winDrvEmulate()

47ca369b - carfesh          , 2004-06-09 : Commit of Torsten on 2004-06-08
                                          		- winDrvSetThreadName()
                                          functionality added

9516e84c - carfesh          , 2004-06-08 : Commit of Torsten on 2004-06-08
                                          		- winDrvSetThreadName()
                                          functionality added

b772764b - carfesh          , 2004-06-08 : Commit of Torsten on 2004-06-08
                                          	winmain.c/windrv.h

                                          		- winDrvSetThreadName()
                                          added

                                          	sounddrv.c

                                          		- now sets the thread
                                          name to "WinFellow Sound Thread"; it's
                                          the only thread though right now that
                                          uses it

2bfc3700 - carfesh          , 2004-06-08 : Commit of Torsten on 2004-06-08
                                          	winmain.c/windrv.h

                                          		- winDrvSetThreadName()
                                          added

                                          	sounddrv.c

                                          		- now sets the thread
                                          name to "WinFellow Sound Thread"; it's
                                          the only thread though right now that
                                          uses it

6628cc40 - carfesh          , 2004-06-08 : minor updates

2e706ecf - carfesh          , 2004-06-08 : minor updates of headers

4d8b035d - carfesh          , 2004-06-08 : minor updates of headers

0b6a3d87 - carfesh          , 2004-06-08 : minor updates of headers

753feadd - carfesh          , 2004-06-08 : Commit of Torsten on 2004-06-08
                                          Added files:

                                          	WinFellow.exe.manifest

                                          		- XML manifest file
                                          added for multiple instances of
                                          ComCtl32.dll

                                          Modified files:

                                          	GUI_general.rc

                                          		- added a link to the
                                          XML manifest file

eb4e11df - carfesh          , 2004-06-08 : sync'ing changes between branches

8c348fc6 - carfesh          , 2004-06-08 : sync'ing changes between branches

321885a8 - carfesh          , 2004-06-08 : sync'ing changes between branches

addce3fe - carfesh          , 2004-06-05 : re-added due to case sensitivity problems

e44dc416 - carfesh          , 2004-06-05 : cleaning up

c322383b - carfesh          , 2004-05-28 : Commit of Torsten on 2004-05-28
                                          	floppy.c

                                          		- fixed several memory
                                          leaks

7b2935ef - carfesh          , 2004-05-28 : Commit of Torsten on 2004-05-28
                                          	filesys.c

                                          		- fixed another memory
                                          leak, this time in filesys_reset()

4c96fefe - carfesh          , 2004-05-28 : Commit of Torsten on 204-05-28
                                          	filesys.c

                                          		- fixed several memory
                                          leaks; however I'm still not finished,
                                          the code still leaks volume names
                                          somewhere
                                          	  on each reset

590addf5 - carfesh          , 2004-05-28 : Commit of Torsten on 204-05-28
                                          	filesys.c

                                          		- fixed several memory
                                          leaks; however I'm still not finished,
                                          the code still leaks volume names
                                          somewhere
                                          	  on each reset

a2c5c89d - carfesh          , 2004-05-28 : Commit of Torsten on 2004-05-28
                                          	filesys.c

                                          		- build_nname() replaced
                                          by a small "hack" in malloc() debug
                                          mode for better debugging

                                          	fsdb.h

                                          		- necessary
                                          defines/exports for the build_nname
                                          "hack"

                                          	ffilesys.c

                                          		- memory leaks on
                                          WinFellow side fixed

                                          	fsdb.c

                                          		- memory leak fixed

a30ab0b5 - carfesh          , 2004-05-28 : Commit of Torsten on 2004-05-28
                                          	uaesupp.c

                                          		- removed my
                                          implementation of my_strdup(); it
                                          improved the malloc() debugging in so
                                          far that I could
                                          	  see the strings were allocated
                                          by use of my_strdup(), but not where
                                          in the code, since it always
                                          	  showed me the line in
                                          my_strdup() that contained the
                                          malloc() call, which wasn't helpful

                                          	uae2fell.h

                                          		- this macro does the
                                          trick: #define my_strdup(a)
                                          strcpy(malloc(strlen(a)+1), a)
                                                       since it can be used
                                          inline the debugger now shows the
                                          exact line where those strings were
                                          allocated,
                                          	  not the best coding style,
                                          which is why I online use it when
                                          _FELLOW_DEBUG_CRT_MALLOC is set,
                                          	  otherwise the standard CRT
                                          strdup is used

a43f757a - carfesh          , 2004-05-28 : Commit of Torsten on 2004-05-28
                                          	uaesupp.c

                                          		- removed my
                                          implementation of my_strdup(); it
                                          improved the malloc() debugging in so
                                          far that I could
                                          	  see the strings were allocated
                                          by use of my_strdup(), but not where
                                          in the code, since it always
                                          	  showed me the line in
                                          my_strdup() that contained the
                                          malloc() call, which wasn't helpful

                                          	uae2fell.h

                                          		- this macro does the
                                          trick: #define my_strdup(a)
                                          strcpy(malloc(strlen(a)+1), a)
                                                       since it can be used
                                          inline the debugger now shows the
                                          exact line where those strings were
                                          allocated,
                                          	  not the best coding style,
                                          which is why I online use it when
                                          _FELLOW_DEBUG_CRT_MALLOC is set,
                                          	  otherwise the standard CRT
                                          strdup is used

f2dafed6 - carfesh          , 2004-05-27 : Commit of Torsten on 2004-05-27
                                          	uaesupp.c

                                          		- my_strdup()
                                          implemented

                                          	uae2fell.h

                                          		- removed #defines for
                                          my_strdup

d145d03d - carfesh          , 2004-05-27 : Commit of Torsten on 2004-05-27
                                          	uaesupp.c

                                          		- my_strdup()
                                          implemented

                                          	uae2fell.h

                                          		- removed #defines for
                                          my_strdup

e5c5c05b - carfesh          , 2004-05-27 : commit of Torsten on 2004-05-27
                                          files brought up-to-date with
                                          conversion_to_c branch

b06abb2c - carfesh          , 2004-05-27 : commit of Torsten on 2004-05-27
                                          GUI_general.rc, defs.h

                                          - version information updated to show
                                          that this is the assembler branch

4aaa568a - carfesh          , 2004-05-27 : commit of Torsten on 2004-05-27
                                          	config.c, fellow.c, ffilesys.c,
                                          floppy.c, fsnavig.c, kbd.c, modrip.c

                                          		- portable C files
                                          brought up-to-date with
                                          conversion_to_c branch

                                          
                                          defs.h, fsnavig.h, ini.h, modrip.h,
                                          wgui.h

                                          		- portable header files
                                          brought up-to-date with
                                          conversion_to_c branch

                                          
                                          fswrap.c, fsysamnt.c, gfxdrv.c, ini.c,
                                          modrip_win32.c, sounddrv.c, sysinfo.c,
                                          wgui.c, winmain.c

                                          		- win32 C files brought
                                          up-to-date with conversion_to_c branch

                                          
                                          modrip_win32.h, portable.h

                                          		- win32 header files
                                          brought up-to-date with
                                          conversion_to_c branch

                                          
                                          autoconf.c, expansio.c, filesys.c,
                                          filesys_win32.c, fsdb.c, fsdb_win32.c,
                                          fsusage.c, hardfile.c, uaesupp.c

                                          		- UAE filesystem C files
                                          brought up-to-date with
                                          conversion_to_c branch

                                          
                                          autoconf.h, execlib.h, filesys.h,
                                          filesys_win32.h, fsdb.h, fsusage.h,
                                          penguin.h, uae2fell.h

                                          		- UAE filesystem header
                                          files brought up-to-date with
                                          conversion_to_c branch

                                          
                                          GUI_general.rc, WinFellow.dsp,
                                          WinFellow.vcproj

                                          		- Win32 project files
                                          brought up-to-date with
                                          conversion_to_c branch

13c6d286 - carfesh          , 2004-05-18 : there was a write operation beyond object_mapping array boundaries; as a
                                          workaround just increased the
                                          dimensions by one

006b6d8e - carfesh          , 2004-05-18 : removed blitter assembler files (blita.*) and drawmode.mac from Visual Studio
                                          .NET project

2433265a - carfesh          , 2004-05-15 : Visual Studio .NET project files added

9b73ac99 - carfesh          , 2004-05-15 : fixed an assertion that occured when trying to start the emulator without
                                          specifiyng a kickstart image

623cc653 - carfesh          , 2002-08-18 : included more detailed source information since I was unable at first to find
                                          the corresponding sourcelines

4574062b - worfje           , 2002-06-10 : - GUI keeps track of all last visited directories (ADF, KickROM, Hardfile, etc.)
                                          - fixed some configuration file
                                          history behaviour - loading and saving
                                          of configurations files is made more
                                          consistent

31887e8c - worfje           , 2002-06-10 : - gave output (fellow.log) a readable layout - added some WinXP detection code

4778b0d5 - worfje           , 2002-06-10 : - added directories that are memorized when using GUI

4fc5a093 - worfje           , 2002-06-10 : - added log function that does not show time

85e78ebe - worfje           , 2002-06-10 : - disabled relative paths functions - minor changes of initialization values

348fea2d - worfje           , 2001-11-22 : - updated information to make it the snapshot 2001/11/15

6a07c10f - worfje           , 2001-11-21 : - also added shlwapi.lib to other configurations (debug)

0157736f - worfje           , 2001-11-21 : - added shlwapi.lib to link

64dfcebb - worfje           , 2001-11-15 : - added disclaimer message

13d609a1 - worfje           , 2001-11-15 : - changed date

524606b6 - Petter Schau     , 2001-11-14 : Added version and path regisitry keys

533ca164 - worfje           , 2001-11-10 : - test

9c629cb1 - worfje           , 2001-11-10 : yo

be5c2607 - worfje           , 2001-11-10 : did some hacking in the code

9b406fb9 - worfje           , 2001-11-10 : test

e5ceb7b3 - worfje           , 2001-11-10 : - changed output email body

fa50f13b - worfje           , 2001-11-10 : wef

4725715b - worfje           , 2001-11-10 : wef

a34e0d59 - worfje           , 2001-11-10 : wfe

31c0d377 - worfje           , 2001-11-10 : wef

20a79b93 - worfje           , 2001-11-10 : - testje

496dad2a - worfje           , 2001-11-10 : - test 9

3579788b - worfje           , 2001-11-10 : - test 8

2a363413 - worfje           , 2001-11-10 : -test 7

cba43ed6 - worfje           , 2001-11-10 : - test 5

ecb08d6b - worfje           , 2001-11-10 : - test 4

55a52d2e - worfje           , 2001-11-10 : - test 3

9c87f5bb - worfje           , 2001-11-10 : - test 2

b4be5d08 - worfje           , 2001-11-10 : - testing 1

856fefec - worfje           , 2001-11-09 : hmmmmmmmmmmmmm

0ba467d4 - worfje           , 2001-11-09 : *** empty log message ***

444f32bc - worfje           , 2001-11-09 : we

c3eb9b0a - worfje           , 2001-11-09 : hmmmmmm

47c428ca - worfje           , 2001-11-09 : delete please

3d4aea5c - worfje           , 2001-11-09 : *** empty log message ***

e5ca4d02 - worfje           , 2001-11-09 : *** empty log message ***

20d723f7 - worfje           , 2001-11-09 : KOOOAAALO

fdb7d22c - worfje           , 2001-11-09 : *** empty log message ***

feaf9581 - worfje           , 2001-11-09 : Jaaaaa

5e2f4ca0 - worfje           , 2001-11-08 : - test for commit emails, one character changed (#)

21f5cf70 - worfje           , 2001-11-08 : - added redirection of commit mails to worfje@gmx.net

67223bcb - worfje           , 2001-11-08 : - added execution of syncmail

7c343cc6 - worfje           , 2001-11-08 : - added syncmail (version 3.17), which is a python script. This script will send
                                          commit-emails to a specified
                                          email-addresses

cbfa96e9 - Petter Schau     , 2001-08-16 : Relative path func added

03e3b7f0 - Petter Schau     , 2001-08-16 : Relative path fix

a1d03ac3 - Petter Schau     , 2001-08-16 : Redirected relative path func to fswrap.c

acdb17e6 - Petter Schau     , 2001-08-16 : Missing null ptr test

909e12cc - Petter Schau     , 2001-08-03 : Offscreen alloc bug, and DDCAPS_NOHARDWARE fix

45129264 - Petter Schau     , 2001-07-10 : Made timer off by default

db56ad7c - Petter Schau     , 2001-07-10 : Removed some old floppy code, now done in floppy.c

1fee225f - Petter Schau     , 2001-06-21 : Altered lib dir order, makes dx3 builds work better

6704f60e - Petter Schau     , 2001-06-21 : fellowRun() used the debug event scheduler

2b9c42ac - Petter Schau     , 2001-06-20 : Enabled message loop threading for the debugger

2c442841 - Petter Schau     , 2001-06-20 : Enabled any suitable inlining

0960a25c - Petter Schau     , 2001-06-19 : Shares out blit_cycles_free

3fc96ef9 - Petter Schau     , 2001-06-19 : DMACON monitors changes in BLTPRI

ef2b1ac1 - Petter Schau     , 2001-06-19 : Timing adjustments

610a0c25 - Petter Schau     , 2001-06-19 : Increased buffer size

3e941361 - carfesh          , 2001-06-11 : Fixed another back with trailing backslashes, this time in
                                          ffilesysCompareFilesys().

a1ecb881 - Petter Schau     , 2001-06-10 : Blitter timing changes

8228e441 - Petter Schau     , 2001-06-10 : 64bit division bug fixed

9a9ab937 - Petter Schau     , 2001-06-10 : Debug stepping routines changes

184b8da1 - Petter Schau     , 2001-06-10 : Blitter timing improvements

c173bd4f - Petter Schau     , 2001-06-10 : One shot mode bug and lost cycles when translating fixed

f7216b45 - Petter Schau     , 2001-06-07 : Changed declaration to fellowSoftReset()

3b35b451 - Petter Schau     , 2001-06-07 : Added memorySoftReset()

53b8357d - Petter Schau     , 2001-06-07 : reset now performs a non-destructive reset

b845b010 - Petter Schau     , 2001-06-07 : Non-destructive soft-reset added

7a16715b - Petter Schau     , 2001-06-05 : Fixed undefined symbol error

55a717ca - Petter Schau     , 2001-06-05 : Added more gap space

070a2cfe - Petter Schau     , 2001-06-05 : Disabled tsc profiling

bb8b7220 - Petter Schau     , 2001-06-05 : Found bug that could prevent line-skip optimization

371468f8 - Petter Schau     , 2001-06-03 : most msvc level 2 warnings removed

73fb9d17 - Petter Schau     , 2001-06-03 : most msvc level 2 warnings removed

f9a8fe07 - Petter Schau     , 2001-06-03 : fix for unstable writes under ks31

be1c8684 - carfesh          , 2001-06-02 : Updated the version information.

bbba876b - Petter Schau     , 2001-06-02 : Commented out TSC profile

ccbe549c - Petter Schau     , 2001-06-02 : Added copy and fill implementation

19349f56 - Petter Schau     , 2001-06-02 : Removed copy and fill mode routines and general clean-up

4c184c34 - Petter Schau     , 2001-06-02 : Some displayed floppy variables changed name or ceased to exist.

c61f2eb9 - Petter Schau     , 2001-06-02 : Changes to support improved timing of events,and changes to the extended adf
                                          loader

cb0068b2 - Petter Schau     , 2001-06-02 : Function added to raise index IRQ

2e83b230 - Petter Schau     , 2001-06-02 : floppy DMA calls moved to floppyEndOfLine()

f4c8e01d - carfesh          , 2001-05-28 : ffilesys.dump now only written in debug version and to Winfellow's directory;
                                          minor changes to the way invalid
                                          filenames are detected (some more are
                                          valid now)

f71fb2ce - carfesh          , 2001-05-28 : renamed filesys devices to hdx

4241cf0f - Petter Schau     , 2001-05-19 : Removed irqlog declaration

0f850a8e - Petter Schau     , 2001-05-19 : More a and d register fixes

46ba33c6 - Petter Schau     , 2001-05-18 : Handling of a and d changes

4ca19c31 - Petter Schau     , 2001-05-18 : MOVEM and handling of a and d changed

0f7a22de - Petter Schau     , 2001-05-18 : Renaming fixes

7cc07d3f - Petter Schau     , 2001-05-18 : Warnings removed

1f2058b2 - Petter Schau     , 2001-05-18 : Assembly renaming fixes

32e969c5 - tedmaul          , 2001-05-17 : Remove unneeded trailing underscores from asm symbols

828329b6 - worfje           , 2001-05-17 : - by default, configuration files (*.wfc) are now saved in the subdirectory
                                          "configurations".

8a8388f8 - worfje           , 2001-05-17 : - lines 23-26 used LONG (from windows.h I guess) instead of LON

7111ee99 - worfje           , 2001-05-17 : - cfgGetSoundNotification() was declared as returning BOOLE instead of
                                          sound_notifications. Same with
                                          cfgSetSoundNotification(). This is
                                          corrected.
                                          - declared cfgManagerConfigActivate()
                                          which didn't exist - it's now 
                                          cfgManagerConfigurationActivate().

1b8b7d41 - andax            , 2001-04-29 : Now clears sound buffer at init.

018ecc74 - Petter Schau     , 2001-04-26 : Msgloop cancels SC_KEYMENU msg now

5b02b01f - Petter Schau     , 2001-04-24 : drawSetMode() ignores refresh when no exact match is found

cc2b5c0c - carfesh          , 2001-04-20 : added known bugs

a2899374 - Petter Schau     , 2001-04-16 : The offscreen buffer now falls back on a software buffer when a hardware buffer
                                          is not available

20a45680 - Petter Schau     , 2001-04-16 : Now ignores scancode A_NONE

c5237be3 - Petter Schau     , 2001-04-13 : bplpt ignores odd alignment and dependency added for bplcon1 on writes to
                                          ddfstrt

59cb17ed - worfje           , 2001-03-04 : no message

06287e86 - worfje           , 2001-03-04 : - added common_control_wrap.c/.h to project

925e4842 - worfje           , 2001-03-04 : - created this file for common control wrap functions (reduces code use and
                                          relieves programmer of windows message
                                          details)

8df0bf93 - worfje           , 2001-03-04 : - compacted the GUI code by using wrap functions for the common controls
                                          (declared in the
                                          common_control_wrap.c) (not all common
                                          control calls from wgui.c are using
                                          these functions, still working on
                                          that. Already reduced 10% of total
                                          size of wgui.c (including new size of
                                          common_control_wrap.c)) - sorted all
                                          enumerated drawmodes for display
                                          propertysheet (screen area slider)

eebc5578 - worfje           , 2001-03-04 : - added invisible radiobuttons for other CPU types (needed for compact GUI code)

a50b01a4 - worfje           , 2001-03-04 : - fixed updating of floppy images in main screen (after inserting ones in config
                                          menu)

6734167c - worfje           , 2001-03-03 : - fixed mutually exclusive bug for scanlines and horizontal scalingmutually
                                          exclusive

1b7f55e0 - andax            , 2001-02-28 : removed fellowAddLog("met_kbd_data\n")

fab1e921 - worfje           , 2001-02-26 : - icons for propertysheets

c98087e4 - worfje           , 2001-02-26 : - rearranged/renamed some directories and files

dc160d89 - worfje           , 2001-02-26 : - removed the screen and blitter propertysheets and replaced them by a new
                                          display propertysheet - added icons
                                          for propertysheets

28c43277 - worfje           , 2001-02-26 : - added functionality for converting and using the drawmode data from GFX to a
                                          suitable form in the GUI - added some
                                          small icons to the configuration
                                          propertysheets - removed the screen
                                          and blitter propertysheets and
                                          replaced them by a new display
                                          propertysheet - power led of the main
                                          window shows if a emulation is active

5b0ea5ac - worfje           , 2001-02-26 : - removed multibuffer selection from ini-file

b061d657 - worfje           , 2001-02-26 : - added types for holding altered drawmode data from GFX in the GUI

76aa458c - worfje           , 2001-02-26 : - added code for multibuffer configuration setting

cad4bd78 - carfesh          , 2001-02-17 : fix to the mfm floppy code; still not functional

960a31f0 - carfesh          , 2001-02-15 : improved the extended adf image handling; still not working correctly

69f1e134 - carfesh          , 2001-02-14 : added recompression of gzip'ed images upon removal of the disk

6fa13fb8 - Petter Schau     , 2001-02-14 : Disabled line-skipping for deinterlace mode

0d0f5b50 - carfesh          , 2001-02-14 : Did some small fixes for NT registry reading.

65653311 - worfje           , 2001-01-26 : - changed default settings (default for notification was still a bool, whoops)

cd373100 - worfje           , 2001-01-26 : - fixed the bool bug made with the sound notification GUI option

64c0d533 - worfje           , 2001-01-26 : - renamed hardware notification to directsound notification - removed emulation
                                          speed from the main menu

8b4df717 - worfje           , 2001-01-26 : - fixed the errors made with the sound notification GUI option

78e77879 - worfje           , 2001-01-25 : - added necessary controls to handle the notification and buffer length on the
                                          sound tab page

82c143de - worfje           , 2001-01-25 : - added necessary code to handle the notification and buffer length on the sound
                                          tab page

33eb8475 - worfje           , 2001-01-25 : - added declarations of functions cfgSetSoundNotification,
                                          cfgGetSoundNotification,
                                          cfgSetSoundBufferLength and
                                          cfgGetSoundBufferLength

c4971afc - worfje           , 2001-01-25 : - added functions cfgSetSoundNotification, cfgGetSoundNotification,
                                          cfgSetSoundBufferLength and
                                          cfgGetSoundBufferLength

2e9a91b8 - andax            , 2001-01-24 : Added support for sound notification selection

21493bba - andax            , 2001-01-24 : Added helpers for sound notification selection

b4a882d8 - Petter Schau     , 2001-01-23 : Changed call to timer setup

9ba8667d - Petter Schau     , 2001-01-23 : Added timer 50 hz synch routines

7e2fab29 - Petter Schau     , 2001-01-23 : Added call to timer 50 hz synch routine

7bb68f73 - Petter Schau     , 2001-01-23 : Added 50 hz synch replacement

dc6ab74a - carfesh          , 2001-01-23 : moved the call to rtarea_setup from the startup to the hardreset section.

f9c3fd48 - worfje           , 2001-01-22 : - added needed declaration

0cc52d98 - worfje           , 2001-01-22 : - added  file menu option to enable/disable the multiple buffer option

ccdf6e4d - worfje           , 2001-01-22 : - added  code for handling the multiple buffer option in the GUI

1c0cc011 - worfje           , 2001-01-22 : - added several functions that were needed for handling the multiple buffer
                                          option as an ini-file variable

6169f995 - worfje           , 2001-01-22 : - added declaration of function wguiStartupPost

32e3ca77 - worfje           , 2001-01-22 : - added functions iniEmulationStart and iniEmulationStop

ac1a62b0 - Petter Schau     , 2001-01-22 : Changed default optimization selection

29c28287 - Petter Schau     , 2001-01-21 : Some more mmx and profiling support

affb967e - Petter Schau     , 2001-01-21 : Some more MMX versions and profiling support

976ee91b - Petter Schau     , 2001-01-21 : Error in reporting bltzero in dmacon

2b7af491 - worfje           , 2001-01-16 : - added the showing of the actual keys that are used for the Keyboard Layout 1
                                          and 2 - added the selection of
                                          'Joystick 2' to the gamecontroller
                                          combo-boxes

68b0c84e - worfje           , 2001-01-16 : - some changes to the ID's

05d66e7a - andax            , 2001-01-11 : Removed secondary hw caps check when adding modes.

dd7fde92 - Petter Schau     , 2001-01-07 : Odd memory access fix

e66916a4 - Petter Schau     , 2001-01-07 : Prefetch change

8092bd90 - Petter Schau     , 2001-01-07 : Memory bank table vs fast mem fix

931a73a1 - Petter Schau     , 2001-01-07 : Timer expiration fix

62348522 - Petter Schau     , 2001-01-07 : ASL and prefetch fix

0bffc70a - Petter Schau     , 2001-01-07 : VPOSR ID-bit fix

dcd732fc - mnd              , 2001-01-07 : no message

2489e7cd - mnd              , 2001-01-07 : - fixed problem if the last line is not an empty line - fixed handling of
                                          joystick key replacement - added
                                          prsWriteFile function to save the
                                          current state of the key mappings -
                                          now you can specify only the keys you
                                          want to change

e042e9a6 - mnd              , 2001-01-07 : fixed a little mistake (a " was missing) if the mapping file is not found, a new
                                          one will be written at the end of the
                                          emulation

3c04ca7e - andax            , 2001-01-06 : Debug versions now produces pdb:s at compile

e6e35867 - mnd              , 2001-01-05 : no message

a2bc1018 - Petter Schau     , 2001-01-05 : First version of emulation window module

2f9b4d7f - Petter Schau     , 2001-01-05 : Defines dual playfield mmx routines

8223178d - Petter Schau     , 2001-01-05 : Fixes HAM problem and adds profiling of mmx dual playfield drawing routines

8adb13e5 - Petter Schau     , 2001-01-05 : fixes ham problem, adds MMX versions of dual playfield drawing and profiling of
                                          these.

e63ab85b - carfesh          , 2001-01-03 : added emulation necessity check

21cf171a - Petter Schau     , 2001-01-01 : BPL skip now only checks the visible pixels and it can handle dual playfield.

ae5dbda7 - carfesh          , 2000-12-30 : forgot to read the blitter log state upon initialization :)

57a2d60a - carfesh          , 2000-12-30 : added toggle to turn blitter operation log on or off

e00d51de - Petter Schau     , 2000-12-30 : Added tsc profiling macros

d1155511 - Petter Schau     , 2000-12-30 : Added tsc profiling, more mmx routines and line skip optimizations

6773506f - Petter Schau     , 2000-12-30 : Added logging and some safer ptrs

a2e9a6f3 - carfesh          , 2000-12-27 : memory dump now also dumps bogo and fast mem if available

6bce00d1 - carfesh          , 2000-12-24 : added a basic blitter debugger

ac647a2b - andax            , 2000-12-24 : Using MM timers when notification is unavailable. /Andax

45bb351c - Petter Schau     , 2000-12-21 : Reorganized linemode code

92e89800 - Petter Schau     , 2000-12-21 : Added ID bits in VPOS

b3ea941d - carfesh          , 2000-12-19 : added Pro-Wizard commandline support

8c0c4230 - carfesh          , 2000-12-19 : no message

87292978 - carfesh          , 2000-12-18 : no message

81e522e9 - carfesh          , 2000-12-18 : added "dump chipmem" functionality to support external rippers

6623066f - carfesh          , 2000-12-18 : no message

1704354c - carfesh          , 2000-12-18 : no message

d8c1c46f - carfesh          , 2000-12-18 : no message

b16dd275 - carfesh          , 2000-12-18 : no message

2828661e - carfesh          , 2000-12-18 : no message

6e6011bd - carfesh          , 2000-12-18 : added ThePlayer 4.1a support

210aec6d - carfesh          , 2000-12-18 : no message

dee0ba7f - carfesh          , 2000-12-18 : first version to explain the basic features

09099e68 - carfesh          , 2000-12-18 : tribute to ASLE :)

8edeb612 - carfesh          , 2000-12-18 : added ProRunner 2.0 support

03176141 - carfesh          , 2000-12-17 : now scans only allocated memory areas

f5c44a79 - carfesh          , 2000-12-17 : screen state updated with a routine provided by Petter

71c9c75e - Petter Schau     , 2000-12-17 : Added declarations for some variables used in the debugger

7b975a03 - Petter Schau     , 2000-12-17 : Fixed bug in wcolor(), it wrote dword values to a word array.

53337806 - carfesh          , 2000-12-17 : again code cleanups

aacbedf3 - carfesh          , 2000-12-16 : added FredEditor format, introduced some macros to clean up the code

052b0109 - carfesh          , 2000-12-16 : Two Protracker clones added (Noisetrekker and long Protracker)

0badcbb9 - carfesh          , 2000-12-15 : small irrelevant changes (cleanups)

e1909c05 - carfesh          , 2000-12-15 : new sound format SoundMon, added heavy debug output

6b93760d - carfesh          , 2000-12-15 : better detection of invalid modules

5003ab8b - carfesh          , 2000-12-15 : fixed a bug in the reading of floppy images and detection of invalid filenames

661c81eb - carfesh          , 2000-12-15 : added a better error handling to reading of floppy images

5b07e8cc - carfesh          , 2000-12-14 : module-ripper now has an own module

c57c8275 - carfesh          , 2000-12-13 : SoundFX 1.3 and 2.0 added to the module ripper

851eb4e3 - worfje           , 2000-12-10 : - fixed some resource settings

50a33b78 - worfje           , 2000-12-10 : - fixed the DX3 and DX5 release configurations, so that they also compile the
                                          right resources

dc81c9ee - carfesh          , 2000-12-10 : added a link to the ADF File Format FAQ.

19dd626e - carfesh          , 2000-12-10 : code-cleanups and busy-cursor for the mod-ripper

d29ebe63 - carfesh          , 2000-12-10 : mod-ripper now searches whole Amiga memory and *finds* modules now :)

5d1b49c3 - carfesh          , 2000-12-10 : increased temporary string size and made a unique #define for it

910353e1 - carfesh          , 2000-12-10 : soundStates are now displayed

1dc84005 - carfesh          , 2000-12-09 : added graphics clipping information

8dc06356 - carfesh          , 2000-12-09 : debugger nearly completed

3f9cac4d - carfesh          , 2000-12-09 : added floppy state

49ba17fa - carfesh          , 2000-12-08 : fixed CIA gui

744e0111 - carfesh          , 2000-12-08 : cia state added

830ccc4c - carfesh          , 2000-12-08 : memory debugger added

387215da - carfesh          , 2000-12-08 : Changed debugger window into a propsheet; shall be changed later into a dialog
                                          using register tabs

2e2e8787 - worfje           , 2000-12-08 : - i hope we fixed it not properly

9466da43 - worfje           , 2000-12-08 : - i hope we fixed it not properly

86fbb31c - worfje           , 2000-12-08 : - getting the resources fixed - still trying to

518b6eaf - worfje           , 2000-12-08 : - getting the resources fixed - still trying to

8600ff2c - worfje           , 2000-12-08 : - fixed a problem that caused the GUI to be non-existend at runtime

5bb2e50c - worfje           , 2000-12-08 : - fixed a problem that caused the GUI to be non-existend at runtime

5845d300 - worfje           , 2000-12-08 : - fixed a problem that caused the GUI to be non-existend at runtime

9d852fc3 - worfje           , 2000-12-08 : - added second resource file for debugger GUI

c822aedb - worfje           , 2000-12-08 : - several changes have been made to the file structure (maps added/files moved)
                                          - added second resource file for
                                          debugger GUI

dc0c16b2 - worfje           , 2000-12-08 : - an include entry had to be changed because of resource file changes

1713e780 - worfje           , 2000-12-08 : - removed since it was replace by GUI_general.h

402f6607 - worfje           , 2000-12-08 : - removed since it was replace by GUI_general.rc

80a272e0 - andax            , 2000-12-04 : Fixed 15650 and 22050 Hz modes.

59f35a0a - carfesh          , 2000-12-04 : Added sse.s and sse.h to the project.

c4872e85 - carfesh          , 2000-12-04 : Added SSE and MMX detection.

c0728cbb - worfje           , 2000-12-04 : this is the header file of the assembler file that contains one assembler
                                          function that detects the availability
                                          of SSE (Streaming SIMD Extensions)

e39f0204 - worfje           , 2000-12-04 : - file contains one assembler function that detects the availability of SSE
                                          (Streaming SIMD Extensions)

f2b189a5 - worfje           , 2000-12-04 : - added explanation of inner working of assembler

64453841 - andax            , 2000-11-18 : Added checks on Lock and Play if buffer lost. Temporary fixes if so...

1fb16540 - mnd              , 2000-11-18 : Two Joy support

3979ae3e - Petter Schau     , 2000-11-15 : Added IRQ generation for sound when no DMA is active

4942f8f3 - Petter Schau     , 2000-11-15 : Added lores shift reversal based on ddfstart alignment.

cb0c2278 - carfesh          , 2000-10-26 : small code cleanup

9abd31df - carfesh          , 2000-10-24 : added cpu detection on assembly level

ee2a2c1d - carfesh          , 2000-10-23 : added a hardware enum tree on NT4 SP 5

70ee466e - carfesh          , 2000-10-21 : now enumeration hardware registry keys

2c40be80 - carfesh          , 2000-10-19 : system information logging routines

0f186fbf - carfesh          , 2000-10-19 : now calls sysinfo logging routine

4bc8be47 - carfesh          , 2000-10-18 : added DX version information

a7e6bce7 - carfesh          , 2000-10-18 : fellowAddLog now logs date and time and accepts printf-style parameters

c465d80d - mnd              , 2000-10-18 : two joy support

e956690a - worfje           , 2000-10-12 : - fixed bug in various configuration tab: LED could only be enabled by enabeling
                                          FPS

98d9708f - carfesh          , 2000-10-12 : now really clickable

5f3f74af - carfesh          , 2000-10-12 : URL to cloanto now clickable in CVS browser

f6cdcc53 - carfesh          , 2000-10-12 : v0.105

65e7d6b9 - carfesh          , 2000-10-11 : minor update to xdms 1.3b; fixes a bug with dms archives created from very old
                                          crunchers

92d46461 - worfje           , 2000-10-05 : - enabled adz/xdms support in filerequester of diskimages

e0641842 - carfesh          , 2000-10-05 : zlib wrapper module

140e3f40 - carfesh          , 2000-10-05 : Added zlib and xdms sources into the tree.

60f6c943 - carfesh          , 2000-10-05 : Now uses zlib and xdms and puts temp files into the temp folder

12f3d5c3 - carfesh          , 2000-10-05 : New zlib support

160ae27f - carfesh          , 2000-10-05 : New xdms support

8a0bb082 - carfesh          , 2000-10-01 : Added a small "hotfix" to let system calls to xdms and gzip use short path names

5615fc15 - carfesh          , 2000-09-24 : gzip and xdms now enclose filenames in quotes

11fa6f40 - Petter Schau     , 2000-09-23 : Fixed broken code in floppySectorMFMDecode() for msvc

71b3bdb0 - carfesh          , 2000-09-23 : Added some missing a_inode initializations

5f18a5bd - mnd              , 2000-09-20 : small fixes

55297421 - mnd              , 2000-09-20 : autofire support

11b232a6 - carfesh          , 2000-09-19 : fixed a bug in ffilesys_install concerning backslashes trailing filesystem root
                                          paths

8af56724 - mnd              , 2000-09-17 : - autofire - nt4 support

f18f5dd6 - andax            , 2000-09-15 : Removed info that the project was discontinued

ca6bc883 - Petter Schau     , 2000-09-13 : strrchr result used unchecked for null, fixed

063ec2be - Petter Schau     , 2000-09-12 : Write protects the kickstart memory

aba0b858 - Petter Schau     , 2000-09-12 : Fixed secondary surface restore bug

f9825ca8 - worfje           , 2000-09-12 : - changed description of features in various configuration propertysheet

06e5cb97 - mnd              , 2000-09-12 : fixed joyDrvMovementHandler again

03526635 - mnd              , 2000-09-11 : fixed joyDrvMovementHandler and joyDrvEmulationStart

a43a8067 - worfje           , 2000-09-09 : - added bitmap for logo shown in the about box

267fb574 - Petter Schau     , 2000-09-09 : Title changed to V0.4.2

cd1f5315 - worfje           , 2000-09-09 : - changed version number - added WinFellow logo to about box

aab969b8 - worfje           , 2000-09-09 : - changed version number

0d5be2ee - mnd              , 2000-09-08 : now use multimedia functions with dx3 mode (instead of pure dinput) removed
                                          heavy debug log with Dx3

fd8ffda6 - worfje           , 2000-09-07 : - almost no changes made

ff2e386b - worfje           , 2000-09-07 : - disabled filedialog for selecting a directory (path) for a filesystem - added
                                          hardfile create dialog

96be4661 - worfje           , 2000-09-07 : - fixed multiple hardfile addition

895838bd - worfje           , 2000-09-07 : - added creation of hardfiles dialog

7755c652 - carfesh          , 2000-09-07 : added os independant hardfile creation

38f98416 - worfje           , 2000-09-07 : - added creation of hardfiles - fixed multiple hardfile bug

9258050f - carfesh          , 2000-09-07 : I should go to bed earlier... fixed the export of create_hardfile

2392cc5e - carfesh          , 2000-09-07 : removed static from create_hardfile

b900d87a - carfesh          , 2000-09-07 : added create_hardfile to the exported functions

e8ea5ef7 - mnd              , 2000-09-07 : Multithread settings for release mode added Dx3Debug and Dx3Release
                                          configuration with USE_DX3 define

443d60b8 - andax            , 2000-09-06 : Added #include "ini.h"

e5171f7d - mnd              , 2000-09-06 : no message

b8548c7a - mnd              , 2000-09-06 : Tuesday, September 05, 2000 - tried to use the CoCreateInstance also for Dx3 -
                                          added some heavy output to the log
                                          with Dx3 in debug mode
                                          Monday, August 29, 2000
                                          - added dxver.h include, dx version is
                                          decided with USE_DX3 or USE_DX5 macro

                                          Monday, July 10, 2000
                                          - conditional compile for DX5 or DX3
                                          - use of the couple CoCreateInstance
                                          and Initialize instead of
                                          DirectInputCreateEx and CreateDeviceEx
                                          with DX5
                                          - added CoInitialize in joyDrvStartup
                                          and CoUninitialize in joyDrvShutdown
                                          with DX5
                                          - added some more error explanation in
                                          Debug compile into
                                          joyDrvDInputErrorString when not a
                                          DxError encountered (it leaks some
                                          memory)

2085b998 - mnd              , 2000-09-06 : Tuesday, September 05, 2000 - added DikKeyString for the translation of a DIK
                                          key to a string - highly not optimized
                                          - ** internal ** - added
                                          kbd_drv_joykey to the prsReadFile call
                                          ** internal ** - now joy replacement
                                          are first filled with DIK keys and
                                          then translated to PCK symbolic key -
                                          added dxver.h include, dx version is
                                          decided with USE_DX3 or USE_DX5 macro

55f9fff0 - mnd              , 2000-09-06 : Tuesday, September 05, 2000 - added parsing of replacement keys for the gameport
                                          - added a third parameter to
                                          prsReadFile for the array of joy
                                          replacement ** internal **

f5f492db - mnd              , 2000-09-06 : Monday, August 29, 2000 - added dxver.h include, dx version is decided with
                                          USE_DX3 or USE_DX5 macro
                                          Sunday, July 9, 2000
                                          - couldn't keep the mouse buttons
                                          pressed;
                                          - removed some unuseful logging

50e2680d - carfesh          , 2000-09-06 : fixed get_fsusage; removing the posixemu layer produced a small bug

87068883 - carfesh          , 2000-09-06 : reverted yesterdays change; now set rwed by default (may be overridden by fsdb
                                          file)

39c16118 - carfesh          , 2000-09-05 : added a small detection to make cdroms usable

d48724d2 - carfesh          , 2000-09-05 : added some security checks which shall ensure that old fdsb entries are ignored

09285828 - worfje           , 2000-09-05 : - header file of the iniManager

f26f2a4e - worfje           , 2000-09-05 : - implements the iniManager
                                          This manager handles the all aspects
                                          of the ini-file (property acces, 
                                          shutdown, startup, etc.)

7a5f182e - worfje           , 2000-09-04 : - restored the execution of the custom building step of the assembly files

66230eec - worfje           , 2000-09-04 : - the following functions were added for supporting file history and the usage
                                          of an ini-file, thus remembering
                                          window positions and directories:
                                          wguiRemoveAllHistory 
                                          wguiInstallHistoryIntoMenu 
                                          wguiInsertCfgIntoHistory 
                                          wguiDeleteCfgFromHistory 
                                          wguiPutCfgInHistoryOnTop 
                                          wguiDialogProc (some minor changes)

                                          For the keeping track of window
                                          postions and applying the last used
                                          position the function wguiEnter
                                          changed. Also changes were need in the
                                          gfxdrv.c file since this file
                                          controlled the creation of the
                                          emulation file.

09327f53 - worfje           , 2000-09-04 : - no noticable changes made

409f43a7 - worfje           , 2000-09-04 : - added the function wguiInsertCfgIntoHistory to the declarations

fce6dbe8 - worfje           , 2000-09-04 : - no noticable changes detected

075b73aa - worfje           , 2000-09-04 : - inserting the following code at the includes:
                                          #include "ini.h"

                                          - inserted iniShutdown(); in the
                                          fellowModulesShutdown function
                                          - inserted iniStartup(); in the
                                          fellowModulesStartup function

01f790e4 - Petter Schau     , 2000-09-04 : Suggested ini changes from Worfje

ce0b071d - carfesh          , 2000-09-04 : fixed the filename validation

9f1c3f88 - carfesh          , 2000-09-03 : removed posixemu.*, added filesys_win32.*

46e84266 - carfesh          , 2000-09-03 : removed posixemu usage; still a bit messy

d3f14254 - carfesh          , 2000-09-03 : now uses filesys_win32 if compiled on win32

6636d48b - carfesh          , 2000-09-03 : removed some posixemu usage

09dfd4b7 - carfesh          , 2000-09-03 : win32 filesys functionality, first release; obsoletes posixemu.c

5c412e58 - carfesh          , 2000-09-03 : Include file for win32 filesys functionality, first release

6f4bcae9 - carfesh          , 2000-09-03 : changed ERROR_OBJECT_NOT_FOUND to ERROR_OBJECT_NOT_AROUND due to a conflict with
                                          VC6

89837f40 - carfesh          , 2000-09-02 : fixed some bug in flag handling; therefore a filesys_parse_mask has been added

dd0ef58f - carfesh          , 2000-09-02 : changed some mode variables from int to uae_u32 since they have to be 32 bits
                                          wide

c1cb2c10 - Petter Schau     , 2000-09-01 : Checks failure in fellowEmulationStart

6a1b068b - Petter Schau     , 2000-09-01 : Various minor issues fixed, see devlist archive for 20000901

3eb45ba0 - Petter Schau     , 2000-09-01 : Error testing in fellowEmulationStart added

a713ed88 - Petter Schau     , 2000-09-01 : Error testing function for missing kickstart added

382eadd1 - Petter Schau     , 2000-09-01 : Error testing in drawEmulationStart added

a00cbe82 - carfesh          , 2000-09-01 : changed some interface definitions to fit the un*x UAE distrib

cf2a0a82 - carfesh          , 2000-09-01 : added new files for the filesystem database features

5a273629 - carfesh          , 2000-09-01 : just changed a constant to fit the UAE source

33060074 - carfesh          , 2000-09-01 : based on the UAE 0.8.15 and changed as minimalistic as possible

65bbee2b - carfesh          , 2000-09-01 : added define for random() used by fsdb

3231305b - carfesh          , 2000-09-01 : moved some stuff from filesys.c here

6ed56ff5 - carfesh          , 2000-09-01 : removed fellow_add_filesys_unit; added call to filesys_prepare_reset

5c5da2b5 - carfesh          , 2000-09-01 : Filesystem database functionality

9751d494 - carfesh          , 2000-09-01 : Filesystem automount functionality

304948cf - Petter Schau     , 2000-08-23 : Added statistic functions

61549591 - Petter Schau     , 2000-08-23 : Fixes error in wddfstrt

c39131dc - carfesh          , 2000-08-13 : Added creation of hardfiles.

4a57eeda - carfesh          , 2000-07-11 : Fixed up the checks using the filesys device status, which is clean now.

b80207bb - worfje           , 2000-07-11 : - added the a change in function cfgManagerConfigurationActivate, required by
                                          Carfesh

e0e2522e - andax            , 2000-07-09 : Removed this duplicate of resource.h

a5d073d8 - mnd              , 2000-07-09 : - couldn't keep the mouse buttons pressed; - removed some unuseful logging

88036469 - mnd              , 2000-07-03 : small fixes (thanks petter)

179dff8d - carfesh          , 2000-07-02 : Added two checks which prevent fellow from trying to insert 20 filesys-devices
                                          even if none are defined. These checks
                                          are ugly but currently the fastest
                                          way, as the status flags are not set
                                          correctly.

eb970821 - carfesh          , 2000-07-02 : Fixed wrong check in ffilesysHasZeroDevices(). Nevertheless the problem that
                                          always 20 devices are registered
                                          remains.

ab30ffb0 - carfesh          , 2000-07-02 : Fixed fhfileDiag to set D0 to 1 on exit; this fixes an error in booting from
                                          hardfiles.

c7c32aa4 - Petter Schau     , 2000-07-02 : no message

fbd7585f - Petter Schau     , 2000-07-02 : altf4 fix, scaling adjustment in desktop mode, surface out of memory fix

80348f45 - mnd              , 2000-06-29 : better buffer handling

21690758 - worfje           , 2000-06-28 : - added infornation of used keys of each keyboard layout in the configuration
                                          dialog of gamecontrollers

c5cd7628 - worfje           , 2000-06-28 : - changed default config screen preferences

1f053229 - Petter Schau     , 2000-06-28 : Corrects sorting of dual playfields

c04cc420 - Petter Schau     , 2000-06-28 : Corrected dual playfield sorting

efa03bfd - Petter Schau     , 2000-06-28 : Compile error removed. Icon added to window, window title changed.

13dd2f8a - worfje           , 2000-06-26 : - fixed a wrong bitmap name, used for power led

0e58d5f0 - worfje           , 2000-06-26 : - added for use within script1.rc and wgui.c

bb33fb91 - worfje           , 2000-06-26 : - Fellow bitmap removed from main window (script1.rc) - reduced floppy config
                                          added to main window (wgui.c)

eaa95391 - worfje           , 2000-06-26 : - main window Fellow bitmap deleted

3a7d837d - worfje           , 2000-06-26 : - disk and power led bitmaps added - main window Fellow bitmap deleted

b091ed61 - worfje           , 2000-06-26 : - disk and power led bitmap definitions added - main window Fellow bitmap
                                          definition deleted

338b7b42 - worfje           , 2000-06-26 : - main window "Fellow" bitmap removed - reduced floppy config added to main
                                          window

56574bb9 - worfje           , 2000-06-26 : - splash dialog bitmap deleted

bd639471 - worfje           , 2000-06-26 : - splash dialog bitmap deleted - dialog and main windows changed (Fellow to
                                          WinFellow)

d80bb6f3 - worfje           , 2000-06-26 : - splash window function deleted (wguiPreStartup)

b1460ec0 - worfje           , 2000-06-26 : - splash window function call deleted

c37d7025 - worfje           , 2000-06-26 : - name of main window and about dialog changed - splash window deleted

94fdea10 - Petter Schau     , 2000-06-20 : More slack in handling of buffers in playback

35ecab7d - Petter Schau     , 2000-06-20 : Corrected interface, added scale support and generic blitter support in any
                                          gfxmode

37ba54ba - Petter Schau     , 2000-06-20 : Updated error in gfxdrv.h interface

06942e5e - Petter Schau     , 2000-06-20 : Removed testprintout

4540958f - Petter Schau     , 2000-06-20 : Gzip support fixed

b047f865 - Petter Schau     , 2000-06-20 : Disabled some testprintouts.

61167411 - Petter Schau     , 2000-06-20 : Handles scale and interlace.

f6cb806b - andax            , 2000-06-19 : Changed caption on emulation window to correct version

16856cf7 - andax            , 2000-06-18 : Changed version number in dialog

8b83d405 - andax            , 2000-06-18 : Made config dialog modal (bugfix) /Worfje

80266d2c - andax            , 2000-06-18 : New stuff related to saving configs

d3c7b760 - andax            , 2000-06-18 : New neat icon. /Worfje

e3b6140c - andax            , 2000-06-18 : New stuff related to saving configs

209d7781 - andax            , 2000-06-18 : New stuff related to saving configs

de0f6bf6 - andax            , 2000-06-18 : Initial placeholder for icon. New will shortly be commited.

dd9fd704 - Petter Schau     , 2000-06-06 : Corrected 24-bit drawing

58e18d36 - Petter Schau     , 2000-06-05 : Fixed striping error in 32-bit color single pixel dual playfield mode

1b41c6c6 - Petter Schau     , 2000-06-05 : Using new emulation stop mechanisms and some obsolete decls removed

ca07a4ef - Petter Schau     , 2000-06-05 : Replaced f12pressed and debugging with fellowRequestEmulationStopXXX()

1171d13d - andax            , 2000-06-05 : Removed ID_FILE_SAVECONFIGURATION. Caused compile error. /Worfje

c59b2b65 - andax            , 2000-06-04 : Changed compiler flag /ZI to /Zi to prevent warning.

e3eca533 - andax            , 2000-06-03 : Don't clear when in windowed mode. /Peschau

708deac9 - andax            , 2000-06-03 : Cleanup and some bugfixes. /Worfje

afb6b1dd - andax            , 2000-06-03 : Some small changes that allow user to choose keyset 1 or 2 on port 1 or 2
                                          (before you must choose keyset1 for
                                          port1 and keyset2 for port2).  /Marco

21e8e5e2 - andax            , 2000-06-03 : Only some comments here and there, one function deleted. /Marco

6af2e9d3 - andax            , 2000-06-03 : Bug enhancements, it solve problems with some keys not working and with the joys
                                          replacement. /Marco

be3d8c74 - andax            , 2000-06-03 : Fixed crash when no joys are installed, now works with win2k and win98 with dx7.
                                          /Marco

d73d3b54 - Petter Schau     , 2000-06-01 : Removed race condition in soundDrvEmulationStart()

c14df725 - Petter Schau     , 2000-05-23 : Better buffer clearing. Better multi-surface handling. Minor errors fixed.

6d316a72 - andax            , 2000-04-05 : Make it binary

f2f36513 - andax            , 2000-04-05 : Make it binary

aeee1944 - andax            , 2000-04-04 : Changed DIRECTINPUT_VERSION from 0x0300 to 0x0500

5b28452b - andax            , 2000-03-27 : Initial version of Fellow. Based on Fellow 0.4 alpha by Petter Schau et al.

5c2d34a4 - root             , 2000-03-10 : initial checkin

080c8b12 - root             , 2000-03-10 : initial checkin
